var tags = [
  {
	"tag" :		"42",
    "name" :		"Issuer Identification Number (IIN)",
    "kernel" :	"Generic",
    "source":	"ICC",
    "format":	"n 6",
    "template":	"'BF0C' or '73'",
    "length":	"3 [B]",
    "description":	"The number that identifies the major industry and the card issuer and that forms the first part of the Primary Account Number (PAN)"
  }
  ,
  {
  	"tag" :	"4F",
    "name" :    "Application Identifier (ADF Name)",
    "kernel" :	"VISA",
    "source":	"ICC",
    "format":	"binary 40-128",
    "template":	"'61'",
    "length":	"5-16 [B]",
    "description":	"The ADF Name identifies the application as described in [ISO 7816-5]. The AID is made up of the Registered Application Provider Identifier (RID) and the Proprietary Identifier Extension (PIX)."

   },{ "tag" :		"50",
   "name" :		"Application Label",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"ans with the special character limited to space",
   "template":	"'61' or 'A5'",
   "length":	"1-16 [B]",
   "description":	"Mnemonic associated with the AID according to ISO/IEC 7816-5"

   },{ "tag" :		"50",
   "name" :		"Application Label",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"ans 1-16 (special characters limited to spaces)",
   "template":	"N/A",
   "length":	"1-16 [B]",
   "description":	"Mnemonic associated with AID according to [ISO 7816-5]. Used in application selection. Application Label is optional in the File Control Information (FCI) of an Application Definition File (ADF) and optional in an ADF directory entry."
   },{ "tag" :		"50",
   "name" :		"Application Label",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"ans 1-16 (special characters limited to spaces)",
   "template":	"N/A",
   "length":	"1-16 [B]",
   "description":	"Mnemonic associated with the AID according to ISO/IEC 7816-5 (with the special character limited to space)."
   },{ "tag" :		"52",
   "name" :		"Command to perform",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":""
   },{ "tag" :		"56",
   "name" :		"Track 1 Data",
   "kernel" :	"MasterCard",
   "source":	 "Format:	ans",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Track 1 Data contains the data objects of the track 1 according to [ISO/IEC 7813] Structure B, excluding start sentinel, end sentinel and LRC. The Track 1 Data may be present in the file read using the READ RECORD command during a mag-stripe mode transaction."
   },{ "tag" :		"57",
   "name" :		"Track 2 Equivalent Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Contains the data objects of the track 2, in accordance with [ISO/IEC 7813], excluding start sentinel, end sentinel, and LRC."
   },{ "tag" :		"57",
   "name" :		"Track 2 Equivalent Data",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Contains the data elements of track 2 according to ISO/IEC 7813, excluding start sentinel, end sentinel, and Longitudinal Redundancy Check (LRC), as follows: 1.Primary Account Number 2.Field Separator (Hex 'D') 3.Expiration Date (YYMM) 4.Service Code 5.Discretionary Data (defined by individual payment systems) 6.Pad with one Hex 'F' if needed to ensure whole bytes 7.Comment:	M"
   },{ "tag" :		"57",
   "name" :		"Track 2 Equivalent Data",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Contains the data elements of track 2 according to ISO/IEC 7813, excluding start sentinel, end sentinel, and Longitudinal Redundancy Check (LRC), as follows: 1.Primary Account Number 2.Field Separator (Hex 'D') 3.Expiration Date (YYMM) 4.Service Code 5.Discretionary Data (defined by individual payment systems) 6.Pad with one Hex 'F' if needed to ensure whole bytes 7.Comment:	M  "

   },{ "tag" :		"57",
   "name" :		"Track 2 Equivalent Data",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"cn",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Image of magnetic stripe Track 2. (For Kernel 4, Track 2 Equivalent Data may not be an exact image of magnetic stripe Track 2.)",
   "comment":	"M"
   },{ "tag" :		"57",
   "name" :		"Track 2 Equivalent Data",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"19 [B]",
   "description":	"Contains the data elements of track 2 according to ISO/IEC 7813, excluding start sentinel, end sentinel, and Longitudinal Redundancy Check (LRC).",
   "comment":	"M",
   },{ "tag" :		"5A",
   "name" :		"Application Primary Account Number (PAN)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"cn variable up to 19",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Valid cardholder account number"
   },{ "tag" :		"5A",
   "name" :		"Application Primary Account Number (PAN)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"cn variable up to 19",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Cardholder account number. READ RECORD For transactions where Offline Data Authentication is performed, the Application PAN is returned. For transactions where Offline Data Authentication is not performed, the Application PAN does not need to be returned."
   },{ "tag" :		"5A",
   "name" :		"Application Primary Account Number (PAN)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"cn variable up to 19",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Card Number. The Primary Account Number must be maintained as the same value for both the Kernel 4 mag-stripe mode and the EMV mode."
   },{ "tag" :		"5A",
   "name" :		"Application Primary Account Number (PAN)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"cn variable up to 19",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Valid cardholder account number"
   },{ "tag" :		"5D",
   "name" :		"Deleted (see 9D)",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""
   },{ "tag" :		"5F20",
   "name" :		"Cardholder Name",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"ans 2-26",
   "template":	"'70' or '77'",
   "length":	"2-26 [B]",
   "description":	"Indicates cardholder name according to ISO 7813",
   "comment":	"C (if present on the Card)"
   },{ "tag" :		"5F20",
   "name" :		"Cardholder Name",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"ans 2-26",
   "template":	"'70' or '77'",
   "length":	"2-26 [B]",
   "description":	"Indicates cardholder name according to ISO 7813",
   },{ "tag" :		"5F20",
   "name" :		"Cardholder Name",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"ans 2-26",
   "template":	"'70' or '77'",
   "length":	"2-26 [B]",
   "description":	"Indicates cardholder name according to ISO 7813"
   },{ "tag" :		"5F20",
   "name" :		"Cardholder Name",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"ans 2-26",
   "template":	"'70' or '77'",
   "length":	"2-26 [B]",
   "description":	"Indicates cardholder name according to ISO 7813",
   "comment":	"O"
   },{ "tag" :		"5F24",
   "name" :		"Application Expiration Date",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 6 (YYMMDD)",
   "template":	"'70' or '77'",
   "length":	"3 [B]",
   "description":	"Date after which application expires. The date is expressed in the YYMMDD format. For MasterCard applications, if the value of YY ranges from '00' to '49' the date reads 20YYMMDD. If the value of YY ranges from '50' to '99' the date reads 19YYMMDD."
   },{ "tag" :		"5F24",
   "name" :		"Application Expiration Date",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"n 6 (YYMMDD)",
   "template":	"'70' or '77'",
   "length":	"3 [B]",
   "description":	"Date after which the card application expires. For transactions where Offline Data Authentication is performed, the Application Expiration Date is returned. For transactions where Offline Data Authentication is not performed, the Application Expiration Date does not need to be returned.",
   "comment":	"Conditional if fDDA supported"
   },{ "tag" :		"5F24",
   "name" :		"Application Expiration Date",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"n 6 (YYMMDD)",
   "template":	"'70' or '77'",
   "length":	"3 [B]",
   "description":	"Date after which the card application expires."
   },{ "tag" :		"5F24",
   "name" :		"Application Expiration Date",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"n 6 (YYMMDD)",
   "template":	"'70' or '77'",
   "length":	"3 [B]",
   "description":	"Date after which application expires. It shall be present for EMV Mode and Legacy Mode."
   },{ "tag" :		"5F25",
   "name" :		"Application Effective Date",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 6 (YYMMDD)",
   "template":	"'70' or '77'",
   "length":	"3 [B]",
   "description":	"Date from which the application may be used. The date is expressed in the YYMMDD format. For MasterCard branded applications if the value of YY ranges from '00' to '49' the date reads 20YYMMDD. If the value of YY ranges from '50' to '99', the date reads 19YYMMDD."
   },{ "tag" :		"5F25",
   "name" :		"Application Effective Date",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"n 6 (YYMMDD)",
   "template":	"'70' or '77'",
   "length":	"3 [B]",
   "description":	"Date from which the application may be used. The date is expressed in the YYMMDD format."
   },{ "tag" :		"5F25",
   "name" :		"Application Effective Date",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"n 6 (YYMMDD)",
   "template":	"'70' or '77'",
   "length":	"3 [B]",
   "description":	"Date from which the application may be used. The date is expressed in the YYMMDD format."
   },{ "tag" :		"5F28",
   "name" :		"Issuer Country Code",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Indicates the country of the issuer according to ISO 3166-1"
   },{ "tag" :		"5F28",
   "name" :		"Issuer Country Code",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Indicates the country of the issuer according to ISO 3166-1"
   },{ "tag" :		"5F28",
   "name" :		"Issuer Country Code",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Indicates the country of the issuer according to ISO 3166-1"
   },{ "tag" :		"5F28",
   "name" :		"Issuer Country Code",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Indicates the country of the issuer according to ISO 3166-1",
   "comment":	"C"
   }
   ,
   {
     "tag" :  "5F2A",
     "name" :		"Transaction Currency Code",
     "kernel" :	"VISA",
     "source":	"Terminal",
     "format":	"n 3",
     "template":	"N/A",
     "length":	"2 [B]",
     "description":	"Indicates the currency code of the transaction according to ISO 4217",
     "comment":	"M",
     "Example":	"0978"
   }
   ,
   { "tag" :		"5F2A",
   "name" :		"Transaction Currency Code",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 3",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates the currency code of the transaction according to ISO 4217",
   "Example":	"0978"
   }
   ,
   {
     "tag" :		"5F2A",
     "name" :		"Transaction Currency Code",
     "kernel" :	"AMEX",
     "source":	"Terminal",
     "format":	"n 3",
     "template":	"N/A",
     "length":	"2 [B]",
     "description":	"Indicates the currency code of the transaction according to [ISO 4217]",
     "Example":	"0978"
   }
   ,
   {
    "tag" :		"5F2A",
     "name" :		"Transaction Currency Code",
     "kernel" :	"JCB",
     "source":	 "Format:	n 3",
     "template":	"N/A",
     "length":	"2 [B]",
     "description":	"Indicates the currency code of the transaction according to ISO 4217. Requested in CDOL1.",
     "comment":	"M",
     "Example":	"0978"
   }
   ,
   {
     "tag" :		"5F2D",
     "name" :		"Language Preference",
     "kernel" :	"MasterCard",
     "source":	"ICC",
     "format":	"an 2",
     "template":	"'A5'",
     "length":	"2-8 [B]",
     "description":	"1-4 languages stored in order of preference, each represented by 2 alphabetical characters according to ISO 639, Note: EMVCo strongly recommends that cards be personalised with data element '5F2D' coded in lowercase, but that terminals accept the data element whether it is coded in upper or lower case."
   }
   ,
   { "tag" :		"5F2D",
   "name" :		"Language Preference",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"an 2",
   "template":	"'A5'",
   "length":	"2-8 [B]",
   "description":	"1-4 languages stored in order of preference, each represented by 2 lower case alphabetical characters according to ISO 639-1."
   },{ "tag" :		"5F2D",
   "name" :		"Language Preference",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"an 2",
   "template":	"'A5'",
   "length":	"2-8 [B]",
   "description":	"1-4 languages stored in order of preference, each represented by 2 lower case alphabetical characters according to ISO 639-1.",
   "comment":	"O"
   },{ "tag" :		"5F30",
   "name" :		"Service Code",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Service code as defined in ISO/IEC 7813 for Track 1 and Track 2"
   },{ "tag" :		"5F30",
   "name" :		"Service Code",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Contains the Service Code elements."
   },{ "tag" :		"5F34",
   "name" :		"Application Primary Account Number (PAN) Sequence Number (PSN)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 2",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Identifies and differentiates cards with the same Application PAN"
   },{ "tag" :		"5F34",
   "name" :		"Application Primary Account Number (PAN) Sequence Number (PSN)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"n 2",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Identifies and differentiates cards with the same PAN",
   "comment":	"C (if present on the Card)"
   },{ "tag" :		"5F34",
   "name" :		"Application Primary Account Number (PAN) Sequence Number (PSN)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"n 2",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Identifies and differentiates cards with the same PAN"
   },{ "tag" :		"5F34",
   "name" :		"Application Primary Account Number (PAN) Sequence Number (PSN)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"n 2",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Identifies and differentiates cards (applications) with the same PAN",
   "comment":	"Due to limitations set by Kernel 4 mag-stripe mode, this must be set to 00 or be otherwise predictable by the Issuer."
   },{ "tag" :		"5F34",
   "name" :		"Application Primary Account Number (PAN) Sequence Number (PSN)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"n 2",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Identifies and differentiates cards (applications) with the same PAN",
   "comment":	"Due to limitations set by Kernel 4 mag-stripe mode, this must be set to 00 or be otherwise predictable by the Issuer."
   },{ "tag" :		"5F36",
   "name" :		"Transaction Currency Exponent",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 1",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Identifies the decimal point position from the right of the transaction amount accordin to ISO 4217"
   },{ "tag" :		"5F36",
   "name" :		"Transaction Currency Exponent",
   "kernel" :	"JCB",
   "source":	 "Format:	n 1",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the implied position of the decimal point from the right of the transaction amount represented according to ISO 4217. Required to determine if Status Check is requested.",
   "comment":	"M"
   },{ "tag" :		"5F3C",
   "name" :		"Transaction Reference Currency Code",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Identifies the common currency used by the terminal"
   },{ "tag" :		"5F3D",
   "name" :		"Transaction Reference Currency Exponent",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"n 1",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Identifies the decimal point position from the right of the terminal common currency"
   },{ "tag" :		"5F50",
   "name" :		"Issuer URL",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"ans",
   "template":	"'BF0C' or '73'",
   "length":	"Variable",
   "description":	"The URL provides the location of the Issuer's Library Server on the Internet."
   },{ "tag" :		"5F53",
   "name" :		"International Bank Account Number (IBAN)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'BF0C' or '73'",
   "length":	"Variable",
   "description":	"Uniquely identifies the account of a customer at a financial institution as defined in ISO 13616."
   },{ "tag" :		"5F54",
   "name" :		"Bank Identifier Code (BIC)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'BF0C' or '73'",
   "length":	"8-11 [B]",
   "description":	"Uniquely identifies a bank as defined in ISO 9362."
   },{ "tag" :		"5F55",
   "name" :		"Issuer Country Code (alpha2 format)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"a 2",
   "template":	"'BF0C' or '73'",
   "length":	"2 [B]",
   "description":	"Indicates the country of the issuer as defined in ISO 3166 (using a 2 character alphabetic code)"
   },{ "tag" :		"5F56",
   "name" :		"Issuer Country Code (alpha3 format)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"a 3",
   "template":	"'BF0C' or '73'",
   "length":	"3 [B]",
   "description":	"Indicates the country of the issuer as defined in ISO 3166 (using a 3 character alphabetic code)"
   },{ "tag" :		"5F57",
   "name" :		"Account Type",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the type of account selected on the terminal, coded as specified in Annex G"
   },{ "tag" :		"61",
   "name" :		"Application Template",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70'",
   "length":	"Variable",
   "description":	"Template containing one or more data objects relevant to an application directory entry according to [ISO 7816-5]."
   },{ "tag" :		"61",
   "name" :		"Directory Entry",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains one or more data objects relevant to an application directory entry according to [ISO 7816-5]."
   },{ "tag" :		"62",
   "name" :		"File Control Parameters (FCP) Template",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Identifies the FCP template according to ISO/IEC 7816-4"
   },{ "tag" :		"6F",
   "name" :		"File Control Information (FCI) Template",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Identifies the FCI template according to ISO/IEC 7816-4"
   },{ "tag" :		"6F",
   "name" :		"File Control Information (FCI) Template",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Identifies the FCI template according to ISO/IEC 7816-4"
   },{ "tag" :		"6F",
   "name" :		"File Control Information (FCI) Template",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Identifies the FCI template according to ISO/IEC 7816-4",
   "comment":	"M"
   },{ "tag" :		"70",
   "name" :		"READ RECORD Response Message Template",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Template containing the data objects returned by the Card in response to a READ RECORD command. Contains the contents of the record read. (Mandatory for SFIs 1-10. Response messages for SFIs 11-30 are outside the scope of EMV, but may use template '70')"
   },{ "tag" :		"70",
   "name" :		"READ RECORD Response Message Template",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the contents of the record read. (Mandatory for SFIs 1-10. Response messages for SFIs 11-30 are outside the scope of EMV, but may use template '70')",
   "comment":	"C",
   },{ "tag" :		"71",
   "name" :		"Issuer Script Template 1",
   "kernel" :	"VISA",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains proprietary issuer data for transmission to the ICC before the second GENERATE AC command"
   },{ "tag" :		"71",
   "name" :		"Issuer Script Template 1",
   "kernel" :	"JCB",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains proprietary issuer data for transmission to the ICC before the second GENERATE AC command",
   "comment":	"O"
   },{ "tag" :		"72",
   "name" :		"Issuer Script Template 2",
   "kernel" :	"VISA",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains proprietary issuer data for transmission to the ICC after the second GENERATE AC command"
   },{ "tag" :		"72",
   "name" :		"Issuer Script Template 2",
   "kernel" :	"JCB",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains proprietary issuer data for transmission to the ICC after the second GENERATE AC command",
   "comment":	"O"
   },{ "tag" :		"73",
   "name" :		"Directory Discretionary Template",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'61'",
   "length":	"Variable",
   "description":	"Issuer discretionary part of the directory according to ISO/IEC 7816-5"
   },{ "tag" :		"77",
   "name" :		"Response Message Template Format 2",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the data objects (with tags and lengths) returned by the ICC in response to a command"
   },{ "tag" :		"77",
   "name" :		"Response Message Template Format 2",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the data objects (with tags and lengths) returned by the card in response to a command."
   },{ "tag" :		"77",
   "name" :		"Response Message Template Format 2",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the data objects (with tags and lengths) returned by the ICC in response to a command",
   "comment":	"C"
   },{ "tag" :		"80",
   "name" :		"Response Message Template Format 1",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the data objects (without tags and lengths) returned by the ICC in response to a command",

   },{ "tag" :		"80",
   "name" :		"Response Message Template Format 1",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the data objects (without tags and lengths) returned by the card in response to a command.",

   },{ "tag" :		"80",
   "name" :		"Response Message Template Format 1",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"variable",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the data objects (without tags and lengths) returned by the ICC in response to a command",
   "comment":	"C",

   },{ "tag" :		"81",
   "name" :		"Amount, Authorised (Binary)",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Authorised amount of the transaction (excluding adjustments)",
   "Example":	"00010000",

   }
   ,
   {
     "tag" :		"82",
     "name" :		"Application Interchange Profile (AIP)",
     "kernel" :	"VISA",
     "source":	"ICC",
     "format":	"binary",
     "template":	"'77' or '80'",
     "length":	"2 [B]",
     "description":	"Indicates the capabilities of the card to support specific functions in the application",
     "comment":	"M",
   }
   ,
   {
     "tag" :		"82",
     "name" :		"Application Interchange Profile (AIP)",
     "kernel" :	"MasterCard",
     "source":	"ICC",
     "format":	"binary",
     "template":	"'77' or '80'",
     "length":	"2 [B]",
     "description":	"Indicates the capabilities of the card to support specific functions in the application"
   }
   ,
   {
     "tag" :		"82",
   "name" :		"Application Interchange Profile (AIP)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 16",
   "template":	"'77' or '80'",
   "length":	"2 [B]",
   "description":	"Indicates the capabilities of the card to support specific functions in the application."

   },{ "tag" :		"82",
   "name" :		"Application Interchange Profile (AIP)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"2 [B]",
   "description":	"Indicates the capabilities of the card to support specific functions in the application."

   },{ "tag" :		"83",
   "name" :		"Command Template",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Identifies the data field of a command message"

   },{ "tag" :		"84",
   "name" :		"Dedicated File (DF) Name",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'6F'",
   "length":	"5-16 [B]",
   "description":	"Identifies the name of the DF as described in ISO/IEC 7816-4",

   },{ "tag" :		"84",
   "name" :		"Dedicated File (DF) Name",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary 40-128",
   "template":	"N/A",
   "length":	"5-16 [B]",
   "description":	"Identifies the name of the DF as described in ISO/IEC 7816-4",

   },{ "tag" :		"84",
   "name" :		"Dedicated File (DF) Name",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"5-16 [B]",
   "description":	"Identifies the name of the DF as described in ISO/IEC 7816-4",
   "comment":	"M",

   },{ "tag" :		"86",
   "name" :		"Issuer Script Command",
   "kernel" :	"JCB",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"'71' or '72'",
   "length":	"Variable",
   "description":	"Contains a command for transmission to the ICC",
   "comment":	"O",

   },{ "tag" :		"87",
   "name" :		"Application Priority Indicator",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'61' or 'A5'",
   "length":	"1 [B]",
   "description":	"Indicates the priority of a given application or group of applications in a directory"

   },{ "tag" :		"87",
   "name" :		"Application Priority Indicator",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary 8",
   "template":	"'61' or 'A5'",
   "length":	"1 [B]",
   "description":	"Indicates the priority of a given application or group of applications in a directory"

   },{ "tag" :		"87",
   "name" :		"Application Priority Indicator",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 8",
   "template":	"'61' or 'A5'",
   "length":	"1 [B]",
   "description":	"Indicates the priority of a given application or group of applications in a directory"

   },{ "tag" :		"87",
   "name" :		"Application Priority Indicator",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'61' or 'A5'",
   "length":	"1 [B]",
   "description":	"Indicates the priority of a given application or group of applications in a directory"

   },{ "tag" :		"88",
   "name" :		"Short File Identifier (SFI)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'A5'",
   "length":	"1 [B]",
   "description":	"Identifies the AEF referenced in commands related to a given ADF or DDF. It is a binary data object having a value in the range 1 to 30 and with the three high order bits set to zero."

   },{ "tag" :		"88",
   "name" :		"Short File Identifier (SFI)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 8",
   "template":	"'A5'",
   "length":	"1 [B]",
   "description":	"Identifies the SFI to be used in the commands related to a given AEF."

   },{ "tag" :		"89",
   "name" :		"Authorisation Code",
   "kernel" :	"VISA",
   "source":	"Issuer",
   "format":	"ans 6 (special characters limited to spaces)",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Nonzero value generated by the issuer for an approved transaction."

   },{ "tag" :		"89",
   "name" :		"Authorisation Code",
   "kernel" :	"AMEX",
   "source":	"Issuer",
   "format":	"an 6",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Non-zero value generated by the Authorisation Systems for an approved transaction."

   },{ "tag" :		"8A",
   "name" :		"Authorisation Response Code (ARC)",
   "kernel" :	"VISA",
   "source":	 "Format:	an 2",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates the transaction disposition of the transaction received from the issuer for online authorisations."

   },{ "tag" :		"8A",
   "name" :		"Authorisation Response Code (ARC)",
   "kernel" :	"AMEX",
   "source":	 "Format:	an 2",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Data element generated by the Issuer Host System or the Reader indicating the disposition of the transaction."

   },{ "tag" :		"8A",
   "name" :		"Authorisation Response Code (ARC)",
   "kernel" :	"JCB",
   "source":	"Issuer",
   "format":	"an 2",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Code that defines the disposition of a message. ARC must be present if the Kernel is restarted after an Online Request Outcome."

   },{ "tag" :		"8C",
   "name" :		"Card Risk Management Data Object List 1 (CDOL1)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of data objects (tag and length) to be passed to the ICC in the first GENERATE AC command"

   },{ "tag" :		"8C",
   "name" :		"Card Risk Management Data Object List 1 (CDOL1)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of data objects (tag and length) to be passed to the ICC in the first GENERATE AC command"

   },{ "tag" :		"8C",
   "name" :		"Card Risk Management Data Object List 1 (CDOL1)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of data objects (tag and length) to be passed to the ICC in the first GENERATE AC command",
   "comment":	"M"

   },{ "tag" :		"8D",
   "name" :		"Card Risk Management Data Object List 2 (CDOL2)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of data objects (tag and length) to be passed to the ICC in the second GENERATE AC command"

   },{ "tag" :		"8D",
   "name" :		"Card Risk Management Data Object List 2 (CDOL2)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of data objects (tag and length) to be passed to the ICC in the second GENERATE AC command",
   "comment":	"O"

   },{ "tag" :		"8E",
   "name" :		"Cardholder Verification Method (CVM) List",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"10-252 [B]",
   "description":	"Identifies a method of verification of the cardholder supported by the application"

   },{ "tag" :		"8E",
   "name" :		"Cardholder Verification Method (CVM) List",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Identifies a prioritised list of methods of verification of the cardholder supported by the card application."

   },{ "tag" :		"8E",
   "name" :		"Cardholder Verification Method (CVM) List",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Identifies a prioritised list of methods of verification of the cardholder supported by the card application.",
   "comment":	"C"

   },{ "tag" :		"8F",
   "name" :		"Certification Authority Public Key Index (PKI)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Identifies the certification authority's public key in conjunction with the RID"

   },{ "tag" :		"8F",
   "name" :		"Certification Authority Public Key Index (PKI)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary 8",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Identifies the Certificate Authority's public key in conjunction with the RID for use in offline data authentication.",
   "comment":	"Values assigned by the payment system."

   },{ "tag" :		"8F",
   "name" :		"Certification Authority Public Key Index (PKI)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 8",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Identifies the Certificate Authority's public key in conjunction with the RID for use in static data authentication."

   },{ "tag" :		"8F",
   "name" :		"Certification Authority Public Key Index (PKI)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Identifies the certification authority's public key in conjunction with the RID. Required for EMV Mode."

   },{ "tag" :		"90",
   "name" :		"Issuer Public Key Certificate",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Issuer public key certified by a certification authority",

   },{ "tag" :		"90",
   "name" :		"Issuer Public Key Certificate",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Issuer's public key certified by a certificate authority for use in offline data authentication.",

   },{ "tag" :		"90",
   "name" :		"Issuer Public Key Certificate",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 512-1984",
   "template":	"'70' or '77'",
   "length":	"64-248 [B]",
   "description":	"Issuer's public key certified by a certificate authority for use in static data authentication.",

   },{ "tag" :		"90",
   "name" :		"Issuer Public Key Certificate",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Issuer public key certified by a certification authority",
   "comment":	"C",

   },{ "tag" :		"91",
   "name" :		"Issuer Authentication Data",
   "kernel" :	"VISA",
   "source":	"Issuer",
   "format":	"binary 64-128",
   "template":	"N/A",
   "length":	"8-16 [B]",
   "description":	"Data sent to the ICC for online Issuer Authentication",

   },{ "tag" :		"91",
   "name" :		"Issuer Authentication Data",
   "kernel" :	"AMEX",
   "source":	"Issuer",
   "format":	"binary 64-128",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Issuer data transmitted to card for online Issuer authentication.",

   },{ "tag" :		"91",
   "name" :		"Issuer Authentication Data",
   "kernel" :	"JCB",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8-16 [B]",
   "description":	"Data sent to the ICC for online Issuer Authentication",

   },{ "tag" :		"92",
   "name" :		"Issuer Public Key Remainder",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Remaining digits of the Issuer Public Key Modulus",

   },{ "tag" :		"92",
   "name" :		"Issuer Public Key Remainder",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Portion of the Issuer Public Key Modulus which does not fit into the Issuer PK Certificate.",

   },{ "tag" :		"92",
   "name" :		"Issuer Public Key Remainder",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Remaining digits of the Issuer's public key to be hashed.",

   },{ "tag" :		"92",
   "name" :		"Issuer Public Key Remainder",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Remaining digits of the Issuer Public Key Modulus",
   "comment":	"C",

   },{ "tag" :		"93",
   "name" :		"Signed Application Data",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 512-1984",
   "template":	"'70' or '77'",
   "length":	"64-248 [B]",
   "description":	"Digital signature on critical application parameters that is used in static data authentication (SDA).",

   },{ "tag" :		"94",
   "name" :		"Application File Locator (AFL)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary, var.; multiple of 4 between 4 and 252",
   "template":	"'77' or '80'",
   "length":	"4-252 [B]",
   "description":	"Indicates the location (SFI range of records) of the Application Elementary Files associated with a particular AID, and read by the Kernel during a transaction.",

   },{ "tag" :		"94",
   "name" :		"Application File Locator (AFL)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"4-252 [B]",
   "description":	"Indicates the location (SFI, range of records) of the AEFs related to a given application.",

   },{ "tag" :		"94",
   "name" :		"Application File Locator (AFL)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Indicates the location (SFI, range of records) of the AEFs related to a given application.",

   },{ "tag" :		"94",
   "name" :		"Application File Locator (AFL)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Indicates the location (SFI, range of records) of the AEFs related to a given application.",

   },{ "tag" :		"95",
   "name" :		"Terminal Verification Results (TVR)",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":    "binary",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Status of the different functions as seen from the terminal",
   "comment":	"M",
   "Example":	"'00 00 00 80 00'",

   },{ "tag" :		"95",
   "name" :		"Terminal Verification Results (TVR)",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Status of the different functions from the Terminal perspective. The Terminal Verification Results is coded according to Annex C.5 of [EMV Book 3].",

   },{ "tag" :		"95",
   "name" :		"Terminal Verification Results (TVR)",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary 40",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Status of the different functions as seen from the terminal.",

   },{ "tag" :		"95",
   "name" :		"Terminal Verification Results (TVR)",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Status of the different functions as seen from the terminal.",
   "comment":	"M",

   },{ "tag" :		"97",
   "name" :		"Transaction Certificate Data Object List (TDOL)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of data objects (tag and length) to be used by the terminal in generating the TC Hash Value",

   },{ "tag" :		"98",
   "name" :		"Transaction Certificate (TC) Hash Value",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"20 [B]",
   "description":	"Result of a hash function specified in Book 2, Annex B3.1",

   },{ "tag" :		"99",
   "name" :		"Transaction Personal Identification Number (PIN) Data",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Data entered by the cardholder for the purpose of the PIN verification",

   },{ "tag" :		"9A",
   "name" :		"Transaction Date",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 6 (YYMMDD)",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Local date that the transaction was authorised",
   "comment":	"M",

   },{ "tag" :		"9A",
   "name" :		"Transaction Date",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 6 (YYMMDD)",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Local date that the transaction was performed.",

   },{ "tag" :		"9A",
   "name" :		"Transaction Date",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"n 6 (YYMMDD)",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Local date that the transaction was authorised",

   },{ "tag" :		"9A",
   "name" :		"Transaction Date",
   "kernel" :	"JCB",
   "source":	 "Format:	n 6 (YYMMDD)",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Local date that the transaction was authorised. Requested in CDOL1.",
   "comment":	"M",

   },{ "tag" :		"9B",
   "name" :		"Transaction Status Information",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates the functions performed in a transaction",

   },{ "tag" :		"9C",
   "name" :		"Transaction Type",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the type of financial transaction, represented by the first two digits of the ISO 8583:1987 Processing Code. The actual values to be used for the Transaction Type data element are defined by the relevant payment system",
   "comment":	"M",
   "Example":	"Always '00'",

   },{ "tag" :		"9C",
   "name" :		"Transaction Type",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the type of financial transaction, represented by the first two digits of the ISO 8583:1993 Processing Code. The actual values to be used for the Transaction Type data element are defined by the relevant payment system.",

   },{ "tag" :		"9C",
   "name" :		"Transaction Type",
   "kernel" :	"AMEX",
   "source":	 "Format:	n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the type of transaction, represented by the values of the first two digits of Processing Code as defined by the payment system.",

   },{ "tag" :		"9C",
   "name" :		"Transaction Type",
   "kernel" :	"JCB",
   "source":	 "Format:	n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the type of financial transaction, represented by the first two digits of the ISO 8583:1987 Processing Code. Requested in CDOL1. Possible values are: '00' for a purchase transaction, '01' for a cash advance transaction, '09' for a purchase with cashback, '20' for a refund transaction",
   "comment":	"M"

   },{ "tag" :		"9D",
   "name" :		"Directory Definition File (DDF) Name",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'61'",
   "length":	"5-16 [B]",
   "description":	"Identifies the name of a DF associated with a directory",

   },{ "tag" :		"9F01",
   "name" :		"Acquirer Identifier",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 6-11",
   "template":	"N/A",
   "length":	"6-11 [B]",
   "description":	"Uniquely identifies the acquirer within each payment system",

   },{ "tag" :		"9F01",
   "name" :		"Acquirer Identifier",
   "kernel" :	"JCB",
   "source":	"Terminal",
   "format":	"n 6-11",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Uniquely identifies the acquirer within each payment system",

   },{ "tag" :		"9F02",
   "name" :		"Amount, Authorised (Numeric)",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Authorised amount of the transaction (excluding adjustments)",
   "comment":	"M",
   "Example":	"000000010000",

   },{ "tag" :		"9F02",
   "name" :		"Amount, Authorised (Numeric)",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Authorised amount of the transaction (excluding adjustments). This amount is expressed with implicit decimal point corresponding to the minor unit of currency as defined by [ISO 4217] (for example the six bytes '00 00 00 00 01 23' represent USD 1.23 when the currency code is '840'). If the initial transaction amount needs to be replaced with a revised transaction amount, the Terminal must provide it before the chokepoint.",
   "Example":	"000000010000",

   },{ "tag" :		"9F02",
   "name" :		"Amount, Authorised (Numeric)",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Authorised amount of the transaction (excluding adjustments).",
   "Example":	"000000010000",

   },{ "tag" :		"9F02",
   "name" :		"Amount, Authorised (Numeric)",
   "kernel" :	"JCB",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Authorised amount of the transaction. Requested in CDOL1.",
   "comment":	"M",
   "Example":	"000000010000",

   },{ "tag" :		"9F03",
   "name" :		"Amount, Other (Numeric)",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Secondary amount associated with the transaction representing a cashback amount",
   "comment":	"M",
   "Example":	"Always '00 00 00 00 00 00'",

   },{ "tag" :		"9F03",
   "name" :		"Amount, Other (Numeric)",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Secondary amount associated with the transaction representing a cash back amount. This amount is expressed with implicit decimal point corresponding to the minor unit of currency as defined by [ISO 4217] (for example the 6 bytes '00 00 00 00 01 23' represent GBP 1.23 when the currency code is '826').",

   },{ "tag" :		"9F03",
   "name" :		"Amount, Other (Numeric)",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Secondary amount associated with the transaction representing a cashback amount.",

   },{ "tag" :		"9F03",
   "name" :		"Amount, Other (Numeric)",
   "kernel" :	"JCB",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Secondary amount associated with the transaction representing a cashback amount. Requested in CDOL1.",
   "comment":	"M",

   },{ "tag" :		"9F04",
   "name" :		"Amount, Other (Binary)",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Secondary amount associated with the transaction representing a cashback amount",

   },{ "tag" :		"9F05",
   "name" :		"Application Discretionary Data",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-32 [B]",
   "description":	"Issuer or payment system specified data relating to the application",

   },{ "tag" :		"9F06",
   "name" :		"Application Identifier (AID) - terminal",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"5-16 [B]",
   "description":	"Identifies the application as described in ISO/IEC 7816-5",

   },{ "tag" :	"9F06",
   "name" :		"Application Identifier (AID)",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary 40-128",
   "template":	"N/A",
   "length":	"5-16 [B]",
   "description":	"Identifies the application as described in ISO/IEC 7816-5",

   },{ "tag" :		"9F07",
   "name" :		"Application Usage Control (AUC)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Indicates issuer's specified restrictions on the geographic usage and services allowed for the application",

   },{ "tag" :		"9F07",
   "name" :		"Application Usage Control (AUC)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary 16",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates issuer's specified restrictions on the geographic usage and services allowed for the card application.",

   },{ "tag" :		"9F07",
   "name" :		"Application Usage Control (AUC)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 16",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates issuer's specified restrictions on the geographic usage and services allowed for the card application.",

   },{ "tag" :		"9F07",
   "name" :		"Application Usage Control (AUC)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates issuer's specified restrictions on the geographic usage and services allowed for the card application.",

   },{ "tag" :		"9F08",
   "name" :		"Application Version Number",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Version number assigned by the payment system for the application in the Card",

   },{ "tag" :		"9F08",
   "name" :		"Application Version Number",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 16",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Version number assigned by the Issuer for the application in the Card",
   "comment":	"For this specification the Application Version Number must always be '0001'.",

   },{ "tag" :		"9F09",
   "name" :		"Application Version Number",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Version number assigned by the payment system for the Kernel application",

   },{ "tag" :		"9F0B",
   "name" :		"Cardholder Name Extended",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"ans 27-45",
   "template":	"'70' or '77'",
   "length":	"27-45 [B]",
   "description":	"Indicates the whole cardholder name when greater than 26 characters using the same coding convention as in ISO 7813",

   },{ "tag" :		"9F0D",
   "name" :		"Issuer Action Code - Default",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies the issuer's conditions that cause a transaction to be rejected if it might have been approved online, but the terminal is unable to process the transaction online",

   },{ "tag" :		"9F0D",
   "name" :		"Issuer Action Code - Default",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 40",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies conditions that cause a transaction to be declined if it might have been approved online, but the Reader is unable to process the transaction online.",

   },{ "tag" :		"9F0D",
   "name" :		"Issuer Action Code - Default",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies the issuer's conditions that cause a transaction to be rejected if it might have been approved online, but the terminal is unable to process the transaction online",
   "comment":	"O",

   },{ "tag" :		"9F0E",
   "name" :		"Issuer Action Code - Denial",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies the issuer's conditions that cause the denial of a transaction without attempt to go online",

   },{ "tag" :		"9F0E",
   "name" :		"Issuer Action Code - Denial",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 40",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies conditions that cause the decline of a transaction without attempting to go online.",

   },{ "tag" :		"9F0E",
   "name" :		"Issuer Action Code - Denial",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies the issuer's conditions that cause the denial of a transaction without attempt to go online",
   "comment":	"O",

   },{ "tag" :		"9F0F",
   "name" :		"Issuer Action Code - Online",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies the issuer's conditions that cause a transaction to be transmitted online",

   },{ "tag" :		"9F0F",
   "name" :		"Issuer Action Code - Online",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 40",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies conditions that cause a transaction to be transmitted online.",

   },{ "tag" :		"9F0F",
   "name" :		"Issuer Action Code - Online",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"5 [B]",
   "description":	"Specifies the issuer's conditions that cause a transaction to be transmitted online",
   "comment":	"O",

   },{ "tag" :		"9F10",
   "name" :		"Issuer Application Data (IAD)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Contains proprietary application data for transmission to the issuer in an online transaction.",
  "   Note": "For CCD-compliant applications, Annex C, section C7 defines the specific coding of the Issuer Application Data (IAD). To avoid potential conflicts with CCD-compliant applications, it is strongly recommended that the IAD data element in an application that is not CCD-compliant should not use the coding for a CCD-compliant application.",
   "comment":	"M",

   },{ "tag" :		"9F10",
   "name" :		"Issuer Application Data (IAD)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Contains proprietary application data for transmission to the issuer in an online transaction.",
  "   Note": "For CCD-compliant applications, Annex C, section C7 defines the specific coding of the Issuer Application Data (IAD). To avoid potential conflicts with CCD-compliant applications, it is strongly recommended that the IAD data element in an application that is not CCD-compliant should not use the coding for a CCD-compliant application.",

   },{ "tag" :		"9F10",
   "name" :		"Issuer Application Data (IAD)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Contains proprietary application data for transmission to the Issuer in all transaction messages.",

   },{ "tag" :		"9F10",
   "name" :		"Issuer Application Data (IAD)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Contains proprietary application data for transmission to the Issuer in an online transaction.",
   "comment":	"C",

   },{ "tag" :		"9F11",
   "name" :		"Issuer Code Table Index",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 2",
   "template":	"'A5'",
   "length":	"1 [B]",
   "description":	"Indicates the code table according to ISO/IEC 8859 for displaying the Application Preferred Name",

   },{ "tag" :		"9F11",
   "name" :		"Issuer Code Table Index",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"n 2",
   "template":	"'A5'",
   "length":	"1 [B]",
   "description":	"Indicates the code table according to ISO/IEC 8859 for displaying the Application Preferred Name",

   },{ "tag" :		"9F11",
   "name" :		"Issuer Code Table Index",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"n 2",
   "template":	"'A5'",
   "length":	"1 [B]",
   "description":	"Indicates the code table according to ISO/IEC 8859 for displaying the Application Preferred Name",
   "comment":	"C",

   },{ "tag" :		"9F12",
   "name" :		"Application Preferred Name",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"ans",
   "template":	"'61' or 'A5'",
   "length":	"1-16 [B]",
   "description":	"Preferred mnemonic associated with the AID",

   },{ "tag" :		"9F12",
   "name" :		"Application Preferred Name",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"ans 1-16",
   "template":	"'61' or 'A5'",
   "length":	"1-16 [B]",
   "description":	"Preferred mnemonic associated with the AID",

   },{ "tag" :		"9F12",
   "name" :		"Application Preferred Name",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"ans 1-16",
   "template":	"'61' or 'A5'",
   "length":	"1-16 [B]",
   "description":	"Preferred mnemonic associated with the AID",

   },{ "tag" :		"9F13",
   "name" :		"Last Online Application Transaction Counter (ATC) Register",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"ATC value of the last transaction that went online",

   },{ "tag" :		"9F14",
   "name" :		"Lower Consecutive Offline Limit",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Issuer-specified preference for the maximum number of consecutive offline transactions for this ICC application allowed in a terminal with online capability",

   },{ "tag" :		"9F15",
   "name" :		"Merchant Category Code",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 4",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Classifies the type of business being done by the merchant, represented according to ISO 8583:1993 for Card Acceptor Business Code",

   },{ "tag" :		"9F15",
   "name" :		"Merchant Category Code",
   "kernel" :	"JCB",
   "source":	 "Format:	n 4",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Classifies the type of business being done by the merchant, represented according to ISO 8583:1993 for Card Acceptor Business Code",
   "comment":	"O",

   },{ "tag" :		"9F16",
   "name" :		"Merchant Identifier",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"ans 15",
   "template":	"N/A",
   "length":	"15 [B]",
   "description":	"When concatenated with the Acquirer Identifier, uniquely identifies a given merchant",

   },{ "tag" :		"9F17",
   "name" :		"Personal Identification Number (PIN) Try Counter",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Number of PIN tries remaining",

   },{ "tag" :		"9F18",
   "name" :		"Issuer Script Identifier",
   "kernel" :	"VISA",
   "source":	"Issuer",
   "format":	"binary 32",
   "template":	"'71' or '72'",
   "length":	"4 [B]",
   "description":	"May be sent in authorisation response from issuer when response contains Issuer Script. Assigned by the issuer to uniquely identify the Issuer Script.",

   },{ "tag" :		"9F18",
   "name" :		"Issuer Script Identifier",
   "kernel" :	"JCB",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"'71' or '72'",
   "length":	"4 [B]",
   "description":	"Identification of the Issuer Script.",
   "comment":	"O",

   },{ "tag" :		"9F19",
   "name" :		"Deleted (see 9F49)",
   "kernel" :	"Generic",
   "source":	 "Format:	H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F1A",
   "name" :		"Terminal Country Code",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 3",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates the country of the terminal, represented according to ISO 3166",
   "comment":	"M",

   },{ "tag" :		"9F1A",
   "name" :		"Terminal Country Code",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 3",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates the country of the terminal, represented according to ISO 3166-1",

 }
 ,
 { "tag" :		"9F1A",
   "name" :		"Terminal Country Code",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"n 3",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates the country of the terminal, represented according to ISO 3166",

   },{ "tag" :		"9F1A",
   "name" :		"Terminal Country Code",
   "kernel" :	"JCB",
   "source":	 "Format:	n 3",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Indicates the country of the terminal, represented according to ISO 3166. Requested in CDOL1.",
   "comment":	"M",

   },{ "tag" :		"9F1B",
   "name" :		"Terminal Floor Limit",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary 32",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Indicates the floor limit in the terminal in conjunction with the AID"

   },{ "tag" :		"9F1B",
   "name" :		"Terminal Floor Limit",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary 32",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Indicates the floor limit in the terminal in conjunction with the AID"

   },{ "tag" :		"9F1C",
   "name" :		"Terminal Identification",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"an 8",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"Designates the unique location of a Terminal at a merchant"

   },{ "tag" :		"9F1D",
   "name" :		"Terminal Risk Management Data",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1-8 [B]",
   "description":	"Application-specific value used by the card for risk management purposes"

   },{ "tag" :		"9F1E",
   "name" :		"Interface Device (IFD) Serial Number",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"an 8",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"Unique and permanent serial number assigned to the IFD by the manufacturer"

   },{ "tag" :		"9F1F",
   "name" :		"Track 1 Discretionary Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"ans",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Discretionary part of track 1 according to ISO/IEC 7813"

   },{ "tag" :		"9F1F",
   "name" :		"Track 1 Discretionary Data",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"ans",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Discretionary part of track 1 according to ISO/IEC 7813",
   "comment":	"C (if present on the Card)"

   },{ "tag" :		"9F1F",
   "name" :		"Track 1 Discretionary Data",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"ans",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Discretionary part of track 1 according to ISO/IEC 7813"

   },{ "tag" :		"9F1F",
   "name" :		"Track 1 Discretionary Data",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"ans",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Discretionary part of track 1 according to ISO/IEC 7813",
   "comment":	"O"

   },{ "tag" :		"9F20",
   "name" :		"Track 2 Discretionary Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"cn",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Discretionary part of track 2 according to ISO/IEC 7813"

   },{ "tag" :		"9F21",
   "name" :		"Transaction Time",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 6 (HHMMSS)",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Local time at which the transaction was performed."

   },{ "tag" :		"9F21",
   "name" :		"Transaction Time",
   "kernel" :	"JCB",
   "source":	 "Format:	n 6 (HHMMSS)",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Local time at which the transaction was authorised.",
   "comment":	"M"

   },{ "tag" :		"9F22",
   "name" :		"Certification Authority Public Key Index (PKI)",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary 8",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Identifies the Certificate Authority's public key in conjunction with the RID for use in offline static and dynamic data authentication.",
   "comment":	"Values assigned by the oayment system."

   },{ "tag" :		"9F23",
   "name" :		"Upper Consecutive Offline Limit",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Issuer-specified preference for the maximum number of consecutive offline transactions for this ICC application allowed in a terminal without online capability"

   },{ "tag" :		"9F26",
   "name" :		"Application Cryptogram (AC)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"8 [B]",
   "description":	"Cryptogram returned by the ICC in response of the GENERATE AC or RECOVER AC command"

   },{ "tag" :		"9F26",
   "name" :		"Application Cryptogram (AC)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"8 [B]",
   "description":	"Cryptogram returned by the ICC in response of the GENERATE AC or RECOVER AC command",
   "comment":	"M"

   },{ "tag" :		"9F26",
   "name" :		"Application Cryptogram (AC)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 64",
   "template":	"'77' or '80'",
   "length":	"8 [B]",
   "description":	"AC computed by the card during a transaction.",
   "Example":	"ARQC, AAC, TC"

   },{ "tag" :		"9F26",
   "name" :		"Application Cryptogram (AC)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"8 [B]",
   "description":	"Cryptogram returned by the card in response of the GENERATE AC command."

   },{ "tag" :		"9F27",
   "name" :		"Cryptogram Information Data (CID)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"1 [B]",
   "description":	"Indicates the type of cryptogram and the actions to be performed by the terminal",
   "comment":	"M"

   },{ "tag" :		"9F27",
   "name" :		"Cryptogram Information Data (CID)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"1 [B]",
   "description":	"Indicates the type of cryptogram and the actions to be performed by the Kernel. The Cryptogram Information Data is coded according to Table 14 of [EMV Book 3]."

   },{ "tag" :		"9F27",
   "name" :		"Cryptogram Information Data (CID)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 8",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the type of cryptogram (TC, ARQC, or AAC) returned by the card and the actions to be performed by the terminal."

   },{ "tag" :		"9F27",
   "name" :		"Cryptogram Information Data (CID)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the type of cryptogram and the actions to be performed by the terminal after the GENERATE AC command."

   },{ "tag" :		"9F29",
   "name" :		"Extended Selection",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'61'",
   "length":	"Variable",
   "description":	"The value to be appended to the ADF Name in the data field of the SELECT command, if the Extended Selection Support flag is present and set to 1. Content is payment system proprietary."

   },{ "tag" :		"9F2A",
   "name" :		"Kernel Identifier",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'61'",
   "length":	"1 [B]",
   "description":	"Indicates the card's preference for the kernel on which the contactless application can be processed."

   },{ "tag" :		"9F2D",
   "name" :		"Integrated Circuit Card (ICC) PIN Encipherment Public Key Certificate",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"ICC PIN Encipherment Public Key certified by the issuer"

   },{ "tag" :		"9F2E",
   "name" :		"Integrated Circuit Card (ICC) PIN Encipherment Public Key Exponent",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"ICC PIN Encipherment Public Key Exponent used for PIN encipherment"

   },{ "tag" :		"9F2F",
   "name" :		"Integrated Circuit Card (ICC) PIN Encipherment Public Key Remainder",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Remaining digits of the ICC PIN Encipherment Public Key Modulus"

   },{ "tag" :		"9F32",
   "name" :		"Issuer Public Key Exponent",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"Issuer public key exponent used for the verification of the Signed Static Application Data and the ICC Public Key Certificate"

   },{ "tag" :		"9F32",
   "name" :		"Issuer Public Key Exponent",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"Issuer public key exponent used for the verification of the Signed Static Application Data and the ICC Public Key Certificate"

   },{ "tag" :		"9F32",
   "name" :		"Issuer Public Key Exponent",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"Issuer-specified data to be used with the Issuer's public key algorithm for static data authentication."

   },{ "tag" :		"9F32",
   "name" :		"Issuer Public Key Exponent",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"Issuer public key exponent used for the verification of the Signed Static Application Data and the ICC Public Key Certificate",
   "comment":	"C",

   },{ "tag" :		"9F33",
   "name" :		"Terminal Capabilities",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Indicates the card data input, CVM, and security capabilities of the Terminal and Reader. The CVM capability (Byte 2) is instantiated with values depending on the transaction amount. The Terminal Capabilities is coded according to Annex A.2 of [EMV Book 4].",

   },{ "tag" :		"9F33",
   "name" :		"Terminal Capabilities",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary 24",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Indicates the card data input, CVM, and security capabilities of the Terminal.",

   },{ "tag" :		"9F34",
   "name" :		"Cardholder Verification Method (CVM) Results",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Indicates the results of the last CVM performed",

   },{ "tag" :		"9F35",
   "name" :		"Terminal Type",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the environment of the terminal, its communications capability, and its operational control",

   },{ "tag" :		"9F35",
   "name" :		"Terminal Type",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the environment of the terminal, its communications capability, and its operational control",

   },{ "tag" :		"9F35",
   "name" :		"Terminal Type",
   "kernel" :	"JCB",
   "source":	 "Format:	n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the environment of the terminal, its communications capability, and its operational control",
   "comment":	"M",

   },{ "tag" :		"9F36",
   "name" :		"Application Transaction Counter (ATC)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"2 [B]",
   "description":	"Counter maintained by the application in the ICC (incrementing the ATC is managed by the ICC)",

   }
   ,
   { "tag" :	"9F36",
     "name" :		"Application Transaction Counter (ATC)",
     "kernel" :	"VISA",
     "source":	"ICC",
     "format":	"binary",
     "template":	"'77' or '80'",
     "length":	"2 [B]",
     "description":	"Counter maintained by the application in the ICC (incrementing the ATC is managed by the ICC)",
     "comment":	"M",
   }
   ,
   { "tag" :		"9F36",
   "name" :		"Application Transaction Counter (ATC)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 16",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Counter maintained by the application in the card. Initial value is zero. It is incremented by 1 each time a transaction is performed.",

   },{ "tag" :		"9F36",
   "name" :		"Application Transaction Counter (ATC)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Counter maintained by the application in the card (incrementing the ATC is managed by the card).",

   },{ "tag" :		"9F37",
   "name" :		"Unpredictable Number (UN)",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Value to provide variability and uniqueness to the generation of a cryptogram",
   "comment":	"M",

   },{ "tag" :		"9F37",
   "name" :		"Unpredictable Number (UN)",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Contains a Kernel challenge (random) to be used by the Card to ensure the variability and uniqueness to the generation of a cryptogram during an EMV mode transaction.",

   },{ "tag" :		"9F37",
   "name" :		"Unpredictable Number (UN)",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary 32",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Value to provide variability and uniqueness to the generation of the application cryptogram.",

   },{ "tag" :		"9F37",
   "name" :		"Unpredictable Number (UN)",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Value to provide variability and uniqueness to the generation of the application cryptogram. Requested in CDOL1.",
   "comment":	"M",

   },{ "tag" :		"9F38",
   "name" :		"Processing Options Data Object List (PDOL)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'A5'",
   "length":	"Variable",
   "description":	"Contains a list of terminal resident data objects (tags and lengths) needed by the ICC in processing the GET PROCESSING OPTIONS command",

   },{ "tag" :		"9F38",
   "name" :		"Processing Options Data Object List (PDOL)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'A5'",
   "length":	"Variable",
   "description":	"List of terminal/reader-related data objects (tags and lengths) requested by the card to be transmitted in the GET PROCESSING OPTIONS command.",

   },{ "tag" :		"9F38",
   "name" :		"Processing Options Data Object List (PDOL)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'A5'",
   "length":	"Variable",
   "description":	"List of terminal/reader-related data objects (tags and lengths) requested by the card to be transmitted in the GET PROCESSING OPTIONS command.",

   },{ "tag" :		"9F38",
   "name" :		"Processing Options Data Object List (PDOL)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'A5'",
   "length":	"Variable",
   "description":	"List of terminal/reader-related data objects (tags and lengths) requested by the card to be transmitted in the GET PROCESSING OPTIONS command.",
   "comment":	"M",

   },{ "tag" :		"9F39",
   "name" :		"Point-of-Service (POS) Entry Mode",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the method by which the PAN was entered, according to the first two digits of the ISO 8583:1987 POS Entry Mode",

   },{ "tag" :		"9F3A",
   "name" :		"Amount, Reference Currency",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Authorised amount expressed in the reference currency",

   },{ "tag" :		"9F3B",
   "name" :		"Application Reference Currency",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2-8 [B]",
   "description":	"1-4 currency codes used between the terminal and the ICC when the Transaction Currency Code is different from the Application Currency Code; each code is 3 digits according to ISO 4217",

   },{ "tag" :		"9F3C",
   "name" :		"Transaction Reference Currency Code",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"n 3",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Code defining the common currency used by the terminal in case the Transaction Currency Code is different from the Application Currency Code",

   },{ "tag" :		"9F3D",
   "name" :		"Transaction Reference Currency Exponent",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"n 1",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the implied position of the decimal point from the right of the transaction amount, with the Transaction Reference Currency Code represented according to ISO 4217",

   },{ "tag" :		"9F40",
   "name" :		"Additional Terminal Capabilities",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Indicates the data input and output capabilities of the Terminal and Reader. The Additional Terminal Capabilities is coded according to Annex A.3 of [EMV Book 4].",

   },{ "tag" :		"9F40",
   "name" :		"Additional Terminal Capabilities",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Indicates the data input and output capabilities of the Terminal.",

   },{ "tag" :		"9F41",
   "name" :		"Transaction Sequence Counter",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"n 4-8",
   "template":	"N/A",
   "length":	"2-4 [B]",
   "description":	"Counter maintained by the terminal that is incremented by one for each transaction",

   },{ "tag" :		"9F42",
   "name" :		"Application Currency Code",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Indicates the currency in which the account is managed according to ISO 4217",

   },{ "tag" :		"9F42",
   "name" :		"Application Currency Code",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Indicates the currency in which the account is managed according to ISO 4217",

   },{ "tag" :		"9F42",
   "name" :		"Application Currency Code",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"n 3",
   "template":	"'70' or '77'",
   "length":	"2 [B]",
   "description":	"Indicates the currency in which the account is managed according to ISO 4217",

   },{ "tag" :		"9F43",
   "name" :		"Application Reference Currency Exponent",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"n 1",
   "template":	"'70' or '77'",
   "length":	"1-4 [B]",
   "description":	"Indicates the implied position of the decimal point from the right of the amount, for each of the 1-4 reference currencies represented according to ISO 4217",

   },{ "tag" :		"9F44",
   "name" :		"Application Currency Exponent",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 1",
   "template":	"'70' or '77'",
   "length":	"1 [B]",
   "description":	"Indicates the implied position of the decimal point from the right of the amount represented according to ISO 4217",

   },{ "tag" :		"9F45",
   "name" :		"Data Authentication Code",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"An issuer assigned value that is retained by the terminal during the verification process of the Signed Static Application Data",

   },{ "tag" :		"9F46",
   "name" :		"Integrated Circuit Card (ICC) Public Key Certificate",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"ICC Public Key certified by the issuer",

   },{ "tag" :		"9F46",
   "name" :		"Integrated Circuit Card (ICC) Public Key Certificate",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"ICC Public Key certified by the issuer",

   },{ "tag" :		"9F46",
   "name" :		"Application Public Key Certificate",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Application Public Key Certificate used during CDA.",

   },{ "tag" :		"9F46",
   "name" :		"Integrated Circuit Card (ICC) Public Key Certificate",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"ICC Public Key certified by the issuer",

   },{ "tag" :		"9F47",
   "name" :		"Integrated Circuit Card (ICC) Public Key Exponent",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"Exponent ICC Public Key Exponent used for the verification of the Signed Dynamic Application Data",

   },{ "tag" :		"9F47",
   "name" :		"Integrated Circuit Card (ICC) Public Key Exponent",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"Exponent ICC Public Key Exponent used for the verification of the Signed Dynamic Application Data",

   },{ "tag" :		"9F47",
   "name" :		"Application Public Key Exponent",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"Exponent of Application Public Key",

   },{ "tag" :		"9F47",
   "name" :		"Integrated Circuit Card (ICC) Public Key Exponent",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"1-3 [B]",
   "description":	"Exponent ICC Public Key Exponent used for the verification of the Signed Dynamic Application Data",

   },{ "tag" :		"9F48",
   "name" :		"Integrated Circuit Card (ICC) Public Key Remainder",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Remaining digits of the ICC Public Key Modulus",

   },{ "tag" :		"9F48",
   "name" :		"Integrated Circuit Card (ICC) Public Key Remainder",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Digits of the ICC Public Key Modulus which do not fit within the ICC Public Key Certificate.",

   },{ "tag" :		"9F48",
   "name" :		"Application Public Key Remainder",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Remaining digits of Application Public Key.",

   },{ "tag" :		"9F48",
   "name" :		"Integrated Circuit Card (ICC) Public Key Remainder",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Digits of the ICC Public Key Modulus which do not fit within the ICC Public Key Certificate.",

   },{ "tag" :		"9F49",
   "name" :		"Dynamic Data Authentication Data Object List (DDOL)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of data objects (tag and length) to be passed to the ICC in the INTERNAL AUTHENTICATE command",

   },{ "tag" :		"9F4A",
   "name" :		"Static Data Authentication Tag List (SDA)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	 "-",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of tags of primitive data objects defined in this specification whose value fields are to be included in the Signed Static or Dynamic Application Data",

   },{ "tag" :		"9F4A",
   "name" :		"Static Data Authentication Tag List (SDA)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	 "-",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"Contains list of tags of primitive data objects whose value fields are to be included in the ICC Public Key Certificate hash result.",

   },{ "tag" :		"9F4A",
   "name" :		"Static Data Authentication Tag List (SDA)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	 "-",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of tags of primitive data objects defined in this specification whose value fields are to be included in the Signed Static or Dynamic Application Data",
   "comment":	"Value Tag '82' (AIP)",

   },{ "tag" :		"9F4A",
   "name" :		"Static Data Authentication Tag List (SDA)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	 "-",
   "template":	"'70' or '77'",
   "length":	"Variable",
   "description":	"List of tags of primitive data objects defined in this specification whose value fields are to be included in the Signed Static or Dynamic Application Data",

   },{ "tag" :		"9F4B",
   "name" :		"Signed Dynamic Application Data (SDAD)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Digital signature on critical application parameters for CDA",

   },{ "tag" :		"9F4B",
   "name" :		"Signed Dynamic Application Data (SDAD)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Dynamic signature generated by the card and validated by the reader during fDDA processing.",

   },{ "tag" :		"9F4B",
   "name" :		"Signed Dynamic Application Data (SDAD)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'77' or '80'",
   "length":	"Variable",
   "description":	"Digital signature on critical application parameters for DDA or CDA",

   },{ "tag" :		"9F4C",
   "name" :		"ICC Dynamic Number",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2-8 [B]",
   "description":	"Time-variant number generated by the ICC, to be captured by the terminal",

   },{ "tag" :		"9F4D",
   "name" :		"Log Entry",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"'BF0C' or '73'",
   "length":	"2 [B]",
   "description":	"Provides the SFI of the Transaction Log file and its number of records",

   },{ "tag" :		"9F4D",
   "name" :		"Log Entry",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Data element indicating the location (SFI) and the maximum number of transaction log records.",
   "comment":	"Byte 1: SFI containing the cyclic transaction log file. Byte 2: Maximum number of records in the transaction log file.",

   },{ "tag" :		"9F4E",
   "name" :		"Merchant Name and Location",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"ans",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Indicates the name and location of the merchant",

   },{ "tag" :		"9F4E",
   "name" :		"Merchant Name and Location",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"ans",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Indicates the name and location of the merchant. The reader shall return the value of the Merchant Name and Location when requested by the card in a Data Object List.",

   },{ "tag" :		"9F4E",
   "name" :		"Merchant Name and Location",
   "kernel" :	"JCB",
   "source":	 "Format:	ans",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Indicates the name and location of the merchant",
   "comment":	"M",

   },{ "tag" :		"9F4F",
   "name" :		"Log Format",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List (in tag and length format) of data objects representing the logged data elements that are passed to the terminal when a transaction log record is read",

   },{ "tag" :		"9F50",
   "name" :		"Offline Accumulator Balance",
   "kernel" :	"MasterCard",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Represents the amount of offline spending available in the Card. The Offline Accumulator Balance is retrievable by the GET DATA command, if allowed by the Card configuration.",

   },{ "tag" :		"9F50",
   "name" :		"Cardholder Verification Status",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the CVM choice (already done or to be subsequently applied) for the transaction. Choice is made dynamically by card based on transaction context and card risk management configuration.",

   },{ "tag" :		"9F51",
   "name" :		"Application Currency Code",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F51",
   "name" :		"DRDOL",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"A data object in the Card that provides the Kernel with a list of data objects that must be passed to the Card in the data field of the RECOVER AC command.",

   },{ "tag" :		"9F52",
   "name" :		"Application Default Action (ADA)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F52",
   "name" :		"Terminal Compatibility Indicator",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates to the card the transaction modes (EMV, Magstripe) supported by the Kernel",
   "comment":	"M",

   },{ "tag" :		"9F53",
   "name" :		"Consecutive Transaction Counter International Limit (CTCIL)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F53",
   "name" :		"Transaction Category Code",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"an",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"This is a data object defined by MasterCard which indicates the type of transaction being performed, and which may be used in card risk management.",

   },{ "tag" :		"9F53",
   "name" :		"Terminal Interchange Profile (dynamic)",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Defines the reader CVM requirement and capabilities, as well as other reader capabilities (online capability, contact EMV capability) for the Transaction",
   "comment":	"M",

   },{ "tag" :		"9F54",
   "name" :		"Cumulative Total Transaction Amount Limit (CTTAL)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F54",
   "name" :		"DS ODS Card",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the Card stored operator proprietary data obtained in the response to the GET PROCESSING OPTIONS command.",

   },{ "tag" :		"9F55",
   "name" :		"Geographic Indicator",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F55",
   "name" :		"Issuer Authentication Flags",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":
   "",
   },{ "tag" :		"9F55",
   "name" :		"Issuer Authentication Flags",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":
   "",
   },{ "tag" :		"9F55",
   "name" :		"Issuer Authentication Flags",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":
   "",
   },{ "tag" :		"9F56",
   "name" :		"Issuer Authentication Indicator",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F56",
   "name" :		"Issuer Proprietary Bitmap",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F56",
   "name" :		"Issuer Proprietary Bitmap",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F56",
   "name" :		"Issuer Proprietary Bitmap",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F57",
   "name" :		"Issuer Country Code",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F58",
   "name" :		"Consecutive Transaction Counter Limit (CTCL)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F59",
   "name" :		"Consecutive Transaction Counter Upper Limit (CTCUL)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F5A",
   "name" :		"Application Program Identifier (Program ID)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1-16 [B]",
   "description":	"Payment system proprietary data element identifying the Application Program ID of the card application. When personalised, the Application Program ID is returned in the FCI Issuer Discretionary Data of the SELECT response (Tag 'BF0C'). EMV mode readers that support Dynamic Reader Limits (DRL) functionality examine the Application Program ID to determine the Reader Limit Set to apply.",

   },{ "tag" :		"9F5A",
   "name" :		"Application Program Identifier (Program ID)",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1-16 [B]",
   "description":	"Proprietary data element used by the device during Dynamic Reader Limit processing to determine the Reader Limit Set to apply for the transaction. EMV mode readers that support Dynamic Reader Limits (DRL) functionality support four or more Application Program Identifiers, each corresponding to a Reader Limit Set.",

   },{ "tag" :		"9F5B",
   "name" :		"Issuer Script Results",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Indicates the results of Issuer Script processing. When the reader/terminal transmits this data element to the acquirer, in this version of Kernel 3, it is acceptable that only byte 1 is transmitted, although it is preferable for all five bytes to be transmitted.",

   },{ "tag" :		"9F5B",
   "name" :		"DSDOL",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"A data object in the Card that provides the Kernel with a list of data objects that must be passed to the Card in the data field of the GENERATE AC command after the CDOL1 Related Data. An example of value for DSDOL is 'DF6008DF6108DF6201DF63A0', representing TLDS Input (Card) || TLDS Digest H || TLDS ODS Info || TLDS ODS Term. The Kernel must not presume that this is a given though, as the sequence and presence of data objects can vary. The presence of TL DS ODS Info is mandated and the processing of the last TL entry in DSDOL is different from normal TL processing as described in section 4.1.4.",

   },{ "tag" :		"9F5C",
   "name" :		"Cumulative Total Transaction Amount Upper Limit (CTTAUL)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F5C",
   "name" :		"DS Requested Operator ID",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"Contains the Terminal determined operator identifier for data storage. It is sent to the Card in the GET PROCESSING OPTIONS command.",

   },{ "tag" :		"9F5C",
   "name" :		"Magstripe Data Object List (MDOL)",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List of data objects (tag and length) to be passed to the card in the GET MAGSTRIPE DATA command.",
   "comment":	"O",

   },{ "tag" :		"9F5D",
   "name" :		"Available Offline Spending Amount (AOSA)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Kernel 3 proprietary data element indicating the remaining amount available to be spent offline. The AOSA is a calculated field used to allow the reader to print or display the amount of offline spend that is available on the card.",

   },{ "tag" :		"9F5D",
   "name" :		"Application Capabilities Information (ACI)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Lists a number of card features beyond regular payment.",

   },{ "tag" :		"9F5E",
   "name" :		"Consecutive Transaction International Upper Limit (CTIUL)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F5E",
   "name" :		"DS ID",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 16-22",
   "template":	"N/A",
   "length":	"8-11 [B]",
   "description":	"Data Storage Identifier constructed as follows: Application PAN (without any 'F' padding) || Application PAN Sequence Number If necessary, it is padded to the left with one hexadecimal zero to ensure whole bytes. If necessary, it is padded to the left with hexadecimal zeroes to ensure a minimum length of 8 bytes.",

   },{ "tag" :		"9F5F",
   "name" :		"DS Slot Availability",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Contains the Card indication, obtained in the response to the GET PROCESSING OPTIONS command, about the slot type(s) available for data storage.",

   },{ "tag" :		"9F5F",
   "name" :		"Offline Balance",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"In the case of a prepaid card, represents the value stored in card. May be returned in the GENERATE AC response.",
   "comment":	"O",

   },{ "tag" :		"9F60",
   "name" :		"CVC3 (Track1)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"The CVC3 (Track1) is a 2-byte cryptogram returned by the Card in the response to the COMPUTE CRYPTOGRAPHIC CHECKSUM command.",

   },{ "tag" :		"9F60",
   "name" :		"Issuer Update Parameter",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Parameter from the ICC to indicate the behaviour/ergonomics (e.g. 'present-and-hold' or 'two presentments' or none) for processing the results of the online authorisation request.",
   "comment":	"O",

   },{ "tag" :		"9F60",
   "name" :		"P3 Generated 3DES KEYS",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F61",
   "name" :		"CVC3 (Track2)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"The CVC3 (Track2) is a 2-byte cryptogram returned by the Card in the response to the COMPUTE CRYPTOGRAPHIC CHECKSUM command.",

   },{ "tag" :		"9F62",
   "name" :		"PCVC3 (Track1)",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"PCVC3(Track1) indicates to the Kernel the positions in the discretionary data field of the Track 1 Data where the CVC3 (Track1) digits must be copied.",

   },{ "tag" :		"9F62",
   "name" :		"Encrypted PIN - ISO 95641 Format 0 (Thales P3 Format 01)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F63",
   "name" :		"Offline Counter Initial Value",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F63",
   "name" :		"PUNATC (Track1)",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"PUNATC(Track1) indicates to the Kernel the positions in the discretionary data field of Track 1 Data where the Unpredictable Number (Numeric) digits and Application Transaction Counter digits have to be copied.",

   },{ "tag" :		"9F64",
   "name" :		"NATC (Track1)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"The value of NATC(Track1) represents the number of digits of the Application Transaction Counter to be included in the discretionary data field of Track 1 Data.",

   },{ "tag" :		"9F65",
   "name" :		"PCVC3 (Track2)",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"PCVC3(Track2) indicates to the Kernel the positions in the discretionary data field of the Track 2 Data where the CVC3 (Track2) digits must be copied.",

   },{ "tag" :		"9F66",
   "name" :		"Terminal Transaction Qualifiers (TTQ)",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary 32",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Indicates reader capabilities, requirements, and preferences to the card. TTQ byte 2 bits 8-7 are transient values, and reset to zero at the beginning of the transaction. All other TTQ bits are static values, and not modified based on transaction conditions. TTQ byte 3 bit 7 shall be set by the acquirer-merchant to 1b.",

   },{ "tag" :		"9F66",
   "name" :		"PUNATC (Track2)",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"PUNATC(Track2) indicates to the Kernel the positions in the discretionary data field of Track 2 Data where the Unpredictable Number (Numeric) digits and Application Transaction Counter digits have to be copied.",

   },{ "tag" :		"9F67",
   "name" :		"MSD Offset",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F67",
   "name" :		"NATC (Track2)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"The value of NATC(Track2) represents the number of digits of the Application Transaction Counter to be included in the discretionary data field of Track 2 Data.",

   },{ "tag" :		"9F68",
   "name" :		"Card Additional Processes",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F69",
   "name" :		"Card Authentication Related Data",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"5-16 [B]",
   "description":	"Contains the fDDA Version Number, Card Unpredictable Number, and Card Transaction Qualifiers. For transactions where fDDA is performed, the Card Authentication Related Data is returned in the last record specified by the Application File Locator for that transaction.",

   },{ "tag" :		"9F69",
   "name" :		"UDOL",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"The UDOL is the DOL that specifies the data objects to be included in the data field of the COMPUTE CRYPTOGRAPHIC CHECKSUM command. The UDOL must at least include the Unpredictable Number (Numeric). The UDOL is not mandatory for the Card. If it is not present in the Card, then the Default UDOL is used.",

   },{ "tag" :		"9F6A",
   "name" :		"Unpredictable Number (Numeric)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"n 8",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Unpredictable number generated by the Kernel during a mag-stripe mode transaction. The Unpredictable Number (Numeric) is passed to the Card in the data field of the COMPUTE CRYPTOGRAPHIC CHECKSUM command.The 8-nUN most significant digits must be set to zero.",

   },{ "tag" :		"9F6B",
   "name" :		"Card CVM Limit",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F6B",
   "name" :		"Track 2 Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Track 2 Data contains the data objects of the track 2 according to [ISO/IEC 7813], excluding start sentinel, end sentinel and LRC. The Track 2 Data is present in the file read using the READ RECORD command during a mag-stripe mode transaction.",

   },{ "tag" :		"9F6C",
   "name" :		"Card Transaction Qualifiers (CTQ)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary 16",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"In this version of the specification, used to indicate to the device the card CVM requirements, issuer preferences, and card capabilities.",

   },{ "tag" :		"9F6D",
   "name" :		"VLP Reset Threshold",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F6D",
   "name" :		"Mag-stripe Application Version Number (Reader)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Version number assigned by the payment system for the specific mag-stripe mode functionality of the Kernel.",

   },{ "tag" :		"9F6D",
   "name" :		"Kernel 4 Reader Capabilities",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"A proprietary data element with bits 8, 7, and 4 only used to indicate a terminal's capability to support Kernel 4 mag-stripe or EMV contactless. This data element is OR'd with Terminal Type, Tag '9F35', resulting in a modified Tag '9F35', which is passed to the card when requested.",

   },{ "tag" :		"9F6E",
   "name" :		"Form Factor Indicator (qVSDC)",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary 32",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Indicates the form factor of the consumer payment device and the type of contactless interface over which the transaction was conducted. This information is made available to the issuer host.",

   },{ "tag" :		"9F6E",
   "name" :		"Form Factor Indicator (FFI)",
   "kernel" :	"VISA",
   "source":	 "Format:	binary 32",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Indicates the form factor of the consumer payment device and the type of contactless interface over which the transaction was conducted. This information is made available to the issuer host.",

   },{ "tag" :		"9F6F",
   "name" :		"DS Slot Management Control",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Contains the Card indication, obtained in the response to the GET PROCESSING OPTIONS command, about the status of the slot containing data associated to the DS Requested Operator ID.",

   },{ "tag" :		"9F70",
   "name" :		"Protected Data Envelope 1",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"The Protected Data Envelopes contain proprietary information from the issuer, payment system or third party. The Protected Data Envelope can be retrieved with the GET DATA command. Updating the Protected Data Envelope with the PUT DATA command requires secure messaging and is outside the scope of this specification.",

   },{ "tag" :		"9F70",
   "name" :		"Card Interface Capabilities",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 16",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Data element indicating other interfaces supported by the device.",

   },{ "tag" :		"9F71",
   "name" :		"Protected Data Envelope 2",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Same as Protected Data Envelope 1.",

   },{ "tag" :		"9F71",
   "name" :		"Mobile CVM Results",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 32",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Proprietary data element returned from the Card in the GET PROCESSING OPTIONS response, indicating the status of Mobile CVM entry.",

   },{ "tag" :		"9F72",
   "name" :		"Protected Data Envelope 3",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Same as Protected Data Envelope 1.",

   },{ "tag" :		"9F72",
   "name" :		"Consecutive Transaction Limit (International-Country)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F73",
   "name" :		"Protected Data Envelope 4",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Same as Protected Data Envelope 1.",

   },{ "tag" :		"9F73",
   "name" :		"Currency Conversion Parameters",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F74",
   "name" :		"Protected Data Envelope 5",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Same as Protected Data Envelope 1.",

   },{ "tag" :		"9F74",
   "name" :		"VLP Issuer Authorisation Code",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"a 6",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"If present indicates offline approval from card",
   "comment":	"As personalised on the card by the Issuer",

   },{ "tag" :		"9F75",
   "name" :		"Unprotected Data Envelope 1",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"The Unprotected Data Envelopes contain proprietary information from the issuer, payment system or third party. Unprotected Data Envelopes can be retrieved with the GET DATA command and can be updated with the PUT DATA (CLA='80') command without secure messaging.",

   },{ "tag" :		"9F75",
   "name" :		"Cumulative Total Transaction Amount Limit-Dual Currency",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F76",
   "name" :		"Unprotected Data Envelope 2",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Same as Unprotected Data Envelope 1.",

   },{ "tag" :		"9F76",
   "name" :		"Secondary Application Currency Code",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F77",
   "name" :		"Unprotected Data Envelope 3",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Same as Unprotected Data Envelope 1.",

   },{ "tag" :		"9F78",
   "name" :		"Unprotected Data Envelope 4",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Same as Unprotected Data Envelope 1.",

   },{ "tag" :		"9F79",
   "name" :		"Unprotected Data Envelope 5",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Same as Unprotected Data Envelope 1.",

   },{ "tag" :		"9F77",
   "name" :		"VLP Funds Limit",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F78",
   "name" :		"VLP Single Transaction Limit",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F79",
   "name" :		"VLP Available Funds",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"9F7A",
   "name" :		"VLP Terminal Support Indicator",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 1",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"If present indicates offline and/or online support. If absent indicates online only support",
   "comment":	"'00' = online only solution supported,'01'= offline/online solution supported",

   },{ "tag" :		"9F7B",
   "name" :		"VLP Terminal Transaction Limit",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F7C",
   "name" :		"Customer Exclusive Data (CED)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains data for transmission to the issuer.",

   },{ "tag" :		"9F7C",
   "name" :		"Merchant Custom Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"20 [B]",
   "description":	"Proprietary merchant data that may be requested by the Card.",

   },{ "tag" :		"9F7D",
   "name" :		"DS Summary 1",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8-16 [B]",
   "description":	"Contains the Card indication, obtained in the response to the GET PROCESSING OPTIONS command, about either the stored summary associated with DS ODS Card if present, or about a default zero-filled summary if DS ODS Card is not present and DS Unpredictable Number is present.",

   },{ "tag" :		"9F7D",
   "name" :		"VISA Applet Data",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F7E",
   "name" :		"Mobile Support Indicator",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"The Mobile Support Indicator informs the Card that the Kernel supports extensions for mobile and requires on device cardholder verification.",

   },{ "tag" :		"9F7E",
   "name" :		"Application life cycle data (8 first bytes)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"9F7F",
   "name" :		"DS Unpredictable Number",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Contains the Card challenge (random), obtained in the response to the GET PROCESSING OPTIONS command, to be used by the Terminal in the summary calculation when providing DS ODS Term.",

   },{ "tag" :		"9F7F",
   "name" :		"Card Production Life Cycle (CPLC) Data",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"A5",
   "name" :		"File Control Information (FCI) Proprietary Template",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'6F'",
   "length":	"Variable",
   "description":	"Identifies the data object proprietary to this specification in the FCI template according to ISO/IEC 7816-4",

   },{ "tag" :		"A5",
   "name" :		"File Control Information (FCI) Proprietary Template",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'6F'",
   "length":	"Variable",
   "description":	"Identifies the data object proprietary to this specification in the FCI template according to ISO/IEC 7816-4",

   },{ "tag" :		"A5",
   "name" :		"File Control Information (FCI) Proprietary Template",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'6F'",
   "length":	"Variable",
   "description":	"Identifies the data object proprietary to this specification in the FCI template according to ISO/IEC 7816-4",
   "comment":	"M",

   },{ "tag" :		"BF0C",
   "name" :		"File Control Information (FCI) Issuer Discretionary Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'A5'",
   "length":	"Variable",
   "description":	"Issuer discretionary part of the File Control Information Proprietary Template.",

   },{ "tag" :		"BF0C",
   "name" :		"File Control Information (FCI) Issuer Discretionary Data",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'A5'",
   "length":	"Variable",
   "description":	"Issuer discretionary part of the File Control Information Proprietary Template.",

   },{ "tag" :		"BF0C",
   "name" :		"File Control Information (FCI) Issuer Discretionary Data",
   "kernel" :	"JCB",
   "source":	"ICC",
   "format":	"variable",
   "template":	"'A5'",
   "length":	"Variable",
   "description":	"Issuer discretionary part of the File Control Information Proprietary Template.",
   "comment":	"O",

   },{ "tag" :		"BF50",
   "name" :		"Visa Fleet - CDO",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":   "",
   },{ "tag" :		"BF60",
   "name" :		"Integrated Data Storage Record Update Template",
   "kernel" :	"VISA",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Part of the command data for the EXTENDED GET PROCESSING OPTIONS command. The IDS Record Update Template contains data to be updated in one or more IDS Records.",

   },{ "tag" :		"C3",
   "name" :		"Card issuer action code -decline",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"C4",
   "name" :		"Card issuer action code -default",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"C5",
   "name" :		"Card issuer action code online",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"C6",
   "name" :		"PIN Try Limit",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"C7",
   "name" :		"CDOL 1 Related Data Length",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"C8",
   "name" :		"Card risk management country code",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"C9",
   "name" :		"Card risk management currency code",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"CA",
   "name" :		"Lower cummulative offline transaction amount",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"CB",
   "name" :		"Upper cumulative offline transaction amount",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"CD",
   "name" :		"Card Issuer Action Code (PayPass) - Default",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"3 [B]",
   "description": "",
   "Example":	"005800",

   },{ "tag" :		"CE",
   "name" :		"Card Issuer Action Code (PayPass) - Online",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"3 [B]",
   "description": "",
   "Example":	"00F800",

   },{ "tag" :		"CF",
   "name" :		"Card Issuer Action Code (PayPass) - Decline",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"3 [B]",
   "description": "",
   "Example":	"080800",

   },{ "tag" :		"D1",
   "name" :		"Currency conversion table",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"D2",
   "name" :		"Integrated Data Storage Directory (IDSD)",
   "kernel" :	"VISA",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Directory of Integrated Data Storage records on the card.",

   },{ "tag" :		"D3",
   "name" :		"Additional check table",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"D5",
   "name" :		"Application Control",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"D6",
   "name" :		"Default ARPC response code",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description":
   "",
   },{ "tag" :		"D7",
   "name" :		"Application Control (PayPass)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"3 [B]",
   "description": "",
   "Example":	"000080",

   },{ "tag" :		"D8",
   "name" :		"AIP (PayPass)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"2 [B]",
   "description": "",

   },{ "tag" :		"D9",
   "name" :		"AFL (PayPass)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"12-16 [B]",
   "description": "",

   },{ "tag" :		"DA",
   "name" :		"Static CVC3-TRACK1",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"2 [B]",
    "description": "",
   "Example":	"0000",

   },{ "tag" :		"DB",
   "name" :		"Static CVC3-TRACK2",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"2 [B]",
   "description": "",
   "Example":	"0000"

   },{ "tag" :		"DC",
   "name" :		"IVCVC3-TRACK1",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"2 [B]",
   "description": "",
   "Example":	"0000",

   },{ "tag" :		"DD",
   "name" :		"IVCVC3-TRACK2",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"2 [B]",
   "description": "",
   "Example":	"0000"

   },{ "tag" :		"DF01",
   "name" :		"Encrypted PIN Block in Tag 9F62 - ISO 95641 Format 0",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF02",
   "name" :		"PEK Version Number",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF03",
   "name" :		"PIN Try Limit",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF04",
   "name" :		"PIN Try Counter (VSDC Application)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF05",
   "name" :		"AIP - For VISA Contactless",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF06",
   "name" :		"Products permitted",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF07",
   "name" :		"Offline checks mandated",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF08",
   "name" :		"UDKmac",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF09",
   "name" :		"UDKenc",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF0B",
   "name" :		"Retries Permitted Limit",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF0C",
   "name" :		"Script Message Update",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF0D",
   "name" :		"Fleet Issuer Action Code - Default",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF0E",
   "name" :		"Fleet Issuer Action Code - Denial",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF0F",
   "name" :		"Fleet Issuer Action Code - Online",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF12",
   "name" :		"Vehicle Registration Number",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"A",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF13",
   "name" :		"DDA Public Modulus",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF14",
   "name" :		"Driver Name",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"A",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF15",
   "name" :		"Driver ID",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"A",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF16",
   "name" :		"Max Fill Volume",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF17",
   "name" :		"DDA Public Modulus Length",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF18",
   "name" :		"Mileage",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF20",
   "name" :		"Issuer Proprietary Bitmap (IPB)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF21",
   "name" :		"Internet Authentication Flag (IAF)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF22",
   "name" :		"Encrypted PEK - RFU",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF23",
   "name" :		"PEK Key Check Value - RFU",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",

   },{ "tag" :		"DF24",
   "name" :		"MDK - Key derivation Index",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": "",
   },{ "tag" :		"DF25",
   "name" :		"VISA DPA - MDK - Key derivation Index",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF26",
   "name" :		"Encrypted PIN Block - ISO 9564-1 Format 1 PIN Block (Thales P3 Format 05)",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF40",
   "name" :		"qVSDC AIP",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF41",
   "name" :		"VSDC AIP",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF42",
   "name" :		"UDKac",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF43",
   "name" :		"UDKmac",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF44",
   "name" :		"UDKenc",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF47",
   "name" :		"UDKcvc",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF48",
   "name" :		"UDKac KCV",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF49",
   "name" :		"UDKmac KCV",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF4A",
   "name" :		"UDKenc KCV",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF4B",
   "name" :		"UDKcvc KCV",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF4B",
   "name" :		"POS Cardholder Interaction Information",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"The POS Cardholder Interaction Information informs the Kernel about the indicators set in the mobile phone that may influence the action flow of the merchant and cardholder.",

   },{ "tag" :		"DF51",
   "name" :		"Grand Parent AC",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF52",
   "name" :		"Parent AC",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF53",
   "name" :		"Grand Parent MAC",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF54",
   "name" :		"Parent MAC",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF55",
   "name" :		"Grand Parent ENC",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF56",
   "name" :		"Parent ENC/Terminal Action Code - Default",
   "kernel" :	"Generic",
   "source":	 "Format:	H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF57",
   "name" :		"Terminal Action Code - Decline",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF60",
   "name" :		"DS Input (Card)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"Contains Terminal provided data if permanent data storage in the Card was applicable (DS Slot Management Control[8]=1b), remains applicable, or becomes applicable (DS ODS Info[8]=1b). Otherwise this data item is a filler to be supplied by the Kernel. The data is forwarded to the Card with the GENERATE AC command, as per DSDOL formatting.",

   },{ "tag" :		"DF60",
   "name" :		"DDA Component P",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF61",
   "name" :		"DDA Component Q",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF61",
   "name" :		"DS Digest H",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"Contains the result of OWHF2(DS Input (Term)) or OWHF2AES(DS Input (Term)), if DS Input (Term) is provided by the Terminal. This data object is to be supplied to the Card with the GENERATE AC command, as per DSDOL formatting.",

   },{ "tag" :		"DF62",
   "name" :		"DS ODS Info",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Contains Terminal provided data to be forwarded to the Card with the GENERATE AC command, as per DSDOL formatting.",

   },{ "tag" :		"DF62",
   "name" :		"DDA Component D1",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF63",
   "name" :		"DDA Component D2",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF63",
   "name" :		"DS ODS Term",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains Terminal provided data to be forwarded to the Card with the GENERATE AC command, as per DSDOL formatting.",

   },{ "tag" :		"DF64",
   "name" :		"DDA Component Q Minus 1 Mod P",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF65",
   "name" :		"DDA Private Exponent",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF6B",
   "name" :		"Paypass Contactless",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF79",
   "name" :		"Dynamic Data Authentication Keys",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""

   },{ "tag" :		"DF8101",
   "name" :		"DS Summary 2",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8-16 [B]",
   "description":	"This data allows the Kernel to check the consistency between DS Summary 1 and DS Summary 2, and so to ensure that DS ODS Card is provided by a genuine Card. It is located in the ICC Dynamic Data recovered from the Signed Dynamic Application Data.",

   },{ "tag" :		"DF8102",
   "name" :		"DS Summary 3",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8-16 [B]",
   "description":	"This data allows the Kernel to check whether the Card has seen the same transaction data as were sent by the Terminal/Kernel. It is located in the ICC Dynamic Data recovered from the Signed Dynamic Application Data.",

   },{ "tag" :		"DF8104",
   "name" :		"Balance Read Before Gen AC",
   "kernel" :	"MasterCard",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"The presence of Balance Read Before Gen AC in the TLV Database is an indication to the Kernel to read the offline balance from the Card before the GENERATE AC command. The Kernel stores the offline balance read from the Card in Balance Read Before Gen AC.",

   },{ "tag" :		"DF8105",
   "name" :		"Balance Read After Gen AC",
   "kernel" :	"MasterCard",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"The presence of Balance Read After Gen AC in the TLV Database is an indication to the Kernel to read the offline balance from the Card after the GENERATE AC command. The Kernel stores the offline balance read from the Card in Balance Read After Gen AC.",

   },{ "tag" :		"DF8106",
   "name" :		"Data Needed",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List of tags included in the DEK signal to request information from the Terminal.",

   },{ "tag" :		"DF8107",
   "name" :		"CDOL1 Related Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Command data field of the GENERATE AC command, coded according to CDOL1.",

   },{ "tag" :		"DF8108",
   "name" :		"DS AC Type",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Contains the AC type indicated by the Terminal for which IDS data must be stored in the Card.",

   },{ "tag" :		"DF8109",
   "name" :		"DS Input (Term)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"Contains Terminal provided data if permanent data storage in the Card was applicable (DS Slot Management Control[8]=1b), remains applicable or becomes applicable (DS ODS Info[8]=1b). DS Input (Term) is used by the Kernel as input to calculate DS Digest H.",

   },{ "tag" :		"DF810A",
   "name" :		"DS ODS Info For Reader",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Contains instructions from the Terminal on how to proceed with the transaction if the AC requested by the Terminal does not match 1) The AC proposed by the Kernel 2) The update of the slot data has failed",

   },{ "tag" :		"DF810B",
   "name" :		"DS Summary Status",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Information reported by the Kernel to the Terminal about: 1. The consistency between DS Summary 1 and DS Summary 2 (successful read) 2. The difference between DS Summary 2 and DS Summary 3 (successful write). This data object is part of the Discretionary Data.",

   },{ "tag" :		"DF810C",
   "name" :		"Kernel ID",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Contains a value that uniquely identifies each Kernel. There is one occurrence of this data object for each Kernel in the Reader.",

   },{ "tag" :		"DF810D",
   "name" :		"DSVN Term",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Integrated data storage support by the Kernel depends on the presence of this data object. If it is absent, or is present with a length of zero, integrated data storage is not supported. Its value is '02' for this version of data storage functionality. This variable length data item has an initial byte that defines the maximum version number supported by the Terminal and a variable number of subsequent bytes that define how the Terminal supports earlier versions of the specification. As this is the first version, no legacy support is described and no additional bytes are present.",

   },{ "tag" :		"DF810E",
   "name" :		"Post-Gen AC Put Data Status",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Information reported by the Kernel to the Terminal, about the processing of PUT DATA commands after processing the GENERATE AC command. Possible values are 'completed' or 'not completed'. In the latter case, this status is not specific about which of the PUT DATA commands failed, or about how many of these commands have failed or succeeded. This data object is part of the Discretionary Data provided by the Kernel to the Terminal.",

   },{ "tag" :		"DF810F",
   "name" :		"Pre-Gen AC Put Data Status",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Information reported by the Kernel to the Terminal, about the processing of PUT DATA commands before sending the GENERATE AC command. Possible values are 'completed' or 'not completed'. In the latter case, this status is not specific about which of the PUT DATA commands failed, or about how many of these commands have failed or succeeded. This data object is part of the Discretionary Data provided by the Kernel to the Terminal.",

   },{ "tag" :		"DF8110",
   "name" :		"Proceed To First Write Flag",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates that the Terminal will send no more requests to read data other than as indicated in Tags To Read. This data item indicates the point at which the Kernel shifts from the Card reading phase to the Card writing phase. If Proceed To First Write Flag is not present or is present with non zero length and value different from zero, then the Kernel proceeds without waiting. If Proceed To First Write Flag is present with zero length, then the Kernel sends a DEK signal to the Terminal and waits for the DET signal. If Proceed To First Write Flag is present with non zero length and value equal to zero, then the Kernel waits for a DET signal from the Terminal without sending a DEK signal."

   },{ "tag" :		"DF8111",
   "name" :		"PDOL Related Data",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Command data field of the GET PROCESSING OPTIONS command, coded according to PDOL.",

   },{ "tag" :		"DF8112",
   "name" :		"Tags To Read",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List of tags indicating the data the Terminal has requested to be read. This data item is present if the Terminal wants any data back from the Card before the Data Record. This could be in the context of SDS, or for non data storage usage reasons, for example the PAN. This data item may contain configured data. This data object may be provided several times by the Terminal. Therefore, the values of each of these tags must be accumulated in the Tags To Read Yet buffer.",

   },{ "tag" :		"DF8113",
   "name" :		"DRDOL Related Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Command data field of the RECOVER AC command, coded according to DRDOL.",

   },{ "tag" :		"DF8114",
   "name" :		"Reference Control Parameter",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Working variable to store the reference control parameter of the GENERATE AC command.",

   },{ "tag" :		"DF8115",
   "name" :		"Error Indication",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Contains information regarding the nature of the error that has been encountered during the transaction processing. This data object is part of the Discretionary Data.",

   },{ "tag" :		"DF8116",
   "name" :		"User Interface Request Data",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"22 [B]",
   "description":	"Combines all parameters to be sent with the MSG signal.",

   },{ "tag" :		"DF8117",
   "name" :		"Card Data Input Capability",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the card data input capability of the Terminal and Reader. The Card Data Input Capability is coded according to Annex A.2 of [EMV Book 4].",

   },{ "tag" :		"DF8118",
   "name" :		"CVM Capability - CVM Required",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the CVM capability of the Terminal and Reader when the transaction amount is greater than the Reader CVM Required Limit. The CVM Capability - CVM Required is coded according to Annex A.2 of [EMV Book 4].",

   },{ "tag" :		"DF8119",
   "name" :		"CVM Capability - No CVM Required",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the CVM capability of the Terminal and Reader when the transaction amount is less than or equal to the Reader CVM Required Limit. The CVM Capability - No CVM Required is coded according to Annex A.2 of [EMV Book 4].",

   },{ "tag" :		"DF811A",
   "name" :		"Default UDOL",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"The Default UDOL is the UDOL to be used for constructing the value field of the COMPUTE CRYPTOGRAPHIC CHECKSUM command if the UDOL in the Card is not present. The Default UDOL must contain as its only entry the tag and length of the Unpredictable Number (Numeric) and has the value: '9F6A04'.",

   },{ "tag" :		"DF811B",
   "name" :		"Kernel Configuration",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the Kernel configuration options.",

   },{ "tag" :		"DF811C",
   "name" :		"Max Lifetime of Torn Transaction Log Record",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Maximum time, in seconds, that a record can remain in the Torn Transaction Log.",

   },{ "tag" :		"DF811D",
   "name" :		"Max Number of Torn Transaction Log Records",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the maximum number of records that can be stored in the Torn Transaction Log.",

   },{ "tag" :		"DF811E",
   "name" :		"Mag-stripe CVM Capability - CVM Required",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the CVM capability of the Terminal/Reader in the case of a mag-stripe mode transaction when the Amount, Authorized (Numeric) is greater than the Reader CVM Required Limit.",

   },{ "tag" :		"DF811F",
   "name" :		"Security Capability",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the security capability of the Kernel. The Security Capability is coded according to Annex A.2 of [EMV Book 4].",

   },{ "tag" :		"DF8120",
   "name" :		"Terminal Action Code - Default",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Specifies the acquirer's conditions that cause a transaction to be rejected on an offline only Terminal.",

   },{ "tag" :		"DF8121",
   "name" :		"Terminal Action Code - Denial",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Specifies the acquirer's conditions that cause the denial of a transaction without attempting to go online.",

   },{ "tag" :		"DF8122",
   "name" :		"Terminal Action Code - Online",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Specifies the acquirer's conditions that cause a transaction to be transmitted online on an online capable Terminal.",

   },{ "tag" :		"DF8123",
   "name" :		"Reader Contactless Floor Limit",
   "kernel" :	"MasterCard",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the transaction amount above which transactions must be authorized online.",

   },{ "tag" :		"DF8124",
   "name" :		"Reader Contactless Transaction Limit (No On-device CVM)",
   "kernel" :	"MasterCard",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the transaction amount above which the transaction is not allowed, when on device cardholder verification is not supported.",

   },{ "tag" :		"DF8125",
   "name" :		"Reader Contactless Transaction Limit (On-device CVM)",
   "kernel" :	"MasterCard",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the transaction amount above which the transaction is not allowed, when on device cardholder verification is supported.",

   },{ "tag" :		"DF8126",
   "name" :		"Reader CVM Required Limit",
   "kernel" :	"MasterCard",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the transaction amount above which the Kernel instantiates the CVM capabilities field in Terminal Capabilities with CVM Capability - CVM Required.",

   },{ "tag" :		"DF8127",
   "name" :		"Time Out Value",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Defines the time in ms before the timer generates a TIMEOUT signal.",

   },{ "tag" :		"DF8128",
   "name" :		"IDS Status",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates if the transaction performs an IDS read and/or write.",

   },{ "tag" :		"DF8129",
   "name" :		"Outcome Parameter Set",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"This data object is used to indicate to the Terminal the outcome of the transaction processing by the Kernel. Its value is an accumulation of results about applicable parts of the transaction.",

   },{ "tag" :		"DF812A",
   "name" :		"DD Card (Track1)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"ans",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"If Track 1 Data is present, then DD Card (Track1) contains a copy of the discretionary data field of Track 1 Data as returned by the Card in the file read using the READ RECORD command during a mag-stripe mode transaction (i.e. without Unpredictable Number (Numeric), Application Transaction Counter, CVC3 (Track1) and nUN included).",

   },{ "tag" :		"DF812B",
   "name" :		"DD Card (Track2)",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"cn",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"DD Card (Track2) contains a copy of the discretionary data field of Track 2 Data as returned by the Card in the file read using the READ RECORD command during a mag-stripe mode transaction (i.e. without Unpredictable Number (Numeric), Application Transaction Counter, CVC3 (Track2) and nUN included).",

   },{ "tag" :		"DF812C",
   "name" :		"Mag-stripe CVM Capability - No CVM Required",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the CVM capability of the Terminal/Reader in the case of a mag-stripe mode transaction when the Amount, Authorized (Numeric) is less than or equal to the Reader CVM Required Limit.",

   },{ "tag" :		"DF812D",
   "name" :		"Message Hold Time",
   "kernel" :	"MasterCard",
   "source":	 "Format:	n 6",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Indicates the default delay for the processing of the next MSG signal. The Message Hold Time is an integer in units of 100ms.",

   },{ "tag" :		"DF8130",
   "name" :		"Hold Time Value",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates the time that the field is to be turned off after the transaction is completed if requested to do so by the cardholder device. The Hold Time Value is in units of 100ms.",

   },{ "tag" :		"DF8131",
   "name" :		"Phone Message Table",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"The Phone Message Table is a variable length list of entries of eight bytes each, and defines for the selected AID the message and status identifiers as a function of the POS Cardholder Interaction Information. Each entry in the Phone Message Table contains the fields shown in the table below. Note that the last entry in the Phone Message Table must always have PCII Mask and PCII Value set to '000000'."

   },{ "tag" :		"FF60",
   "name" :		"Visa International",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""
   },{ "tag" :		"FF62",
   "name" :		"Visa Magnetic Stripe",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""
   },{ "tag" :		"FF63",
   "name" :		"Visa Quick VSDC",
   "kernel" :	"Generic",
   "source":	"ICC",
   "format":	"H",
   "template":	"N/A",
   "length":	"Variable",
   "description": ""
   },{ "tag" :		"FF8101",
   "name" :		"Torn Record",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"A copy of a record from the Torn Transaction Log that is expired. Torn Record is sent to the Terminal as part of the Discretionary Data.",

   },{ "tag" :		"FF8102",
   "name" :		"Tags To Write Before Gen AC",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List of data objects indicating the Terminal data writing requests to be sent to the Card before processing the GENERATE AC command or the RECOVER AC command. This data object may be provided several times by the Terminal in a DET signal. Therefore, these values must be accumulated in Tags To Write Yet Before Gen AC buffer.",

   },{ "tag" :		"FF8103",
   "name" :		"Tags To Write After Gen AC",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the Terminal data writing requests to be sent to the Card after processing the GENERATE AC command or the RECOVER AC command. The value of this data object is composed of a series of TLVs. This data object may be provided several times by the Terminal in a DET signal. Therefore, these values must be accumulated in Tags To Write Yet After Gen AC.",

   },{ "tag" :		"FF8104",
   "name" :		"Data To Send",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List of data objects that contains the accumulated data sent by the Kernel to the Terminal in a DEK signal. These data may correspond to Terminal reading requests, obtained from the Card by means of GET DATA or READ RECORD commands, or may correspond to data that the Kernel posts to the Terminal as part of its own processing.",

   },{ "tag" :		"FF8105",
   "name" :		"Data Record",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"The Data Record is a list of TLV encoded data objects returned with the Outcome Parameter Set on the completion of transaction processing.",

   },{ "tag" :		"FF8106",
   "name" :		"Discretionary Data",
   "kernel" :	"MasterCard",
   "source":	"ICC",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"The Discretionary Data is a list of Kernel-specific data objects sent to the Terminal as a separate field in the OUT signal.",

   },{ "tag" :		"N/A",
   "name" :		"Active AFL",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the AFL indicating the (remaining) terminal file records to be read from the Card. The Active AFL is updated after each successful READ RECORD",

   },{ "tag" :		"N/A",
   "name" :		"Active Tag",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains the tag requested by the GET DATA command.",

   },{ "tag" :		"N/A",
   "name" :		"AC Type",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Contains the AC type to be requested from the Card with the GENERATE AC command. This is the outcome of Terminal Action Analysis.",

   },{ "tag" :		"N/A",
   "name" :		"Alternate Interface Support",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	 "-",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Indicates whether the terminal supports an alternate payment interface to the contactless Reader.",
   "Example":	"Contact, Mag-stripe, Other",

   },{ "tag" :		"N/A",
   "name" :		"Application Selection Indicator",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"At the discretion of the terminal. The data is not sent across the interface",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"For an application in the ICC to be supported by an application in the terminal, the Application Selection Indicator indicates whether the associated AID in the terminal must match the AID in the card exactly, including the length of the AID, or only up to the length of the AID in the terminal There is only one Application Selection Indicator per AID supported by the terminal",

   },{ "tag" :		"N/A",
   "name" :		"Authorisation Response Cryptogram (ARPC)",
   "kernel" :	"AMEX",
   "source":	"Issuer",
   "format":	"binary 64",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"A cryptogram generated by the Issuer Host System during an online transaction.",

   },{ "tag" :		"N/A",
   "name" :		"Cardholder Verification Results (CVR)",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 32",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Proprietary data element indicating the exception conditions that occurred during Card Risk Management.",

   },{ "tag" :		"N/A",
   "name" :		"Card Status Update (CSU)",
   "kernel" :	"Generic",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Contains data sent to the ICC to indicate whether the issuer approves or declines the transaction, and to initiate actions specified by the issuer. Transmitted to the card in Issuer Authentication Data.",

   },{ "tag" :		"N/A",
   "name" :		"Certification Authority Public Key",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Payment system public key used for dynamic data authentication.",
   "comment":	"Value generated by the payment system CA and loaded to terminal by acquirer. Up to six public keys per payment system must be supported.",

   },{ "tag" :		"N/A",
   "name" :		"Certification Authority Public Key",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"Per payment system specifications",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Payment system public key used for offline data authentication.",

   },{ "tag" :		"N/A",
   "name" :		"Certification Authority Public Key",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Present (up to 5 different instances) if Offline Data Authentication is supported for at least one of the Combinations with this RID (EMV Mode only). Each CA Public Key in the list is composed of the following mandatory fields: CAPK Index (b, 1 byte), CAPK Modulus (b, max. 248 bytes), CAPK Exponent (b, 1 or 3 bytes), CAPK SHA-1 Checksum (b, 20 bytes)",

   },{ "tag" :		"N/A",
   "name" :		"Certification Authority Public Key Check Sum",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"20 [B]",
   "description":	"A check value calculated on the concatenation of all parts of the Certification Authority Public Key (RID, Certification Authority Public Key Index, Certification Authority Public Key Modulus, Certification Authority Public Key Exponent) using SHA-1",

   },{ "tag" :		"N/A",
   "name" :		"Certification Authority Public Key Exponent",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"1-3 [B]",
   "description":	"Value of the exponent part of the Certification Authority Public Key",

   },{ "tag" :		"N/A",
   "name" :		"Certification Authority Public Key Modulus",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Value of the modulus part of the Certification Authority Public Key",

   },{ "tag" :		"N/A",
   "name" :		"Cryptogram Version Number",
   "kernel" :	"AMEX",
   "source":	"ICC",
   "format":	"binary 8",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Proprietary data element indicating the version of the TC, AAC/ARQC algorithm used by the application.",

   },{ "tag" :		"N/A",
   "name" :		"Combination Options",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Defines some acquirer options for the combination, e.g. modes supported.",
   "comment":	"M",

   },{ "tag" :		"N/A",
   "name" :		"Contactless Floor Limit",
   "kernel" :	"JCB",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Used in Kernel 5 Terminal Risk Management (EMV Mode only). Present if the Combination supports Floor Limit Check or Random Transaction Selection.",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Contactless Transaction Limit",
   "kernel" :	"JCB",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Used in Kernel 5 Terminal Risk Management.",
   "comment":	"O",

   },{ "tag" :		"N/A",
   "name" :		"CVM Required Limit",
   "kernel" :	"JCB",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Used in Kernel 5 Terminal Risk Management.",
   "comment":	"O",

   },{ "tag" :		"N/A",
   "name" :		"Decline Required by Reader Indicator",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	 "-",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Proprietary internal indicator used during transaction processing to indicate that internal reader processes have indicated that the transaction should be declined.",
   "comment":	"This indicator is a transient value, initialized to a value of 0 at the beginning of the transaction. 1 = Offline 'decline required by reader'"

   },{ "tag" :		"N/A",
   "name" :		"Default Dynamic Data Authentication Data Object List (DDOL)",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"DDOL to be used for constructing the INTERNAL AUTHENTICATE command if the DDOL in the card is not present",

   },{ "tag" :		"N/A",
   "name" :		"Default Transaction Certificate Data Object List (TDOL)",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"TDOL to be used for generating the TC Hash Value if the TDOL in the card is not present",

   },{ "tag" :		"N/A",
   "name" :		"Delayed Authorisations Supported",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"Implementation Specific",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Defines whether the terminal is configured to perform delayed authorisations.",

   },{ "tag" :		"N/A",
   "name" :		"Enciphered Personal Identification Number (PIN) Data",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"8 [B]",
   "description":	"Transaction PIN enciphered at the PIN pad for online verification or for offline verification if the PIN pad and IFD are not a single integrated device",

   },{ "tag" :		"N/A",
   "name" :		"Failed MS Cntr",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Counts the number of failed consecutive mag-stripe mode transactions. The Failed MS Cntr is stored in the scratch pad provided to the Kernel at instantiation.",

   },{ "tag" :		"N/A",
   "name" :		"Issuer Script Results",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Indicates the result of the terminal script processing",

   },{ "tag" :		"N/A",
   "name" :		"Maximum Target Percentage to be used for Biased Random Selection",
   "kernel" :	"JCB",
   "source":	 "Format:	n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Value used in terminal risk management for random transaction selection - present if the Combination supports Random Transaction Selection (EMV Mode only).",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Message Type",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates whether the batch data capture record is a financial record or advice",

   },{ "tag" :		"N/A",
   "name" :		"Next Cmd",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"An internal working variable used to indicate the C-APDU that is currently being processed by the Card.",

   },{ "tag" :		"N/A",
   "name" :		"nUN",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Number of non-zero bits in PUNATC(Track2) - NATC(Track2)",

   },{ "tag" :		"N/A",
   "name" :		"ODA Status",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Indicates if CDA is to be performed for the transaction in progress.",

   },{ "tag" :		"N/A",
   "name" :		"Offline Capability",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"Implementation Specific",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Offline capable terminals are capable of performing offline contactless transactions.",

   },{ "tag" :		"N/A",
   "name" :		"Online Capability (Partial or Full)",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"Implementation Specific",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Terminals that are Online Capable must be capable of performing Partial Online contactless transactions. Online capable terminals may optionally provide support for a Full Online contactless transaction.",

   },{ "tag" :		"N/A",
   "name" :		"Online Required by Reader Indicator",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	 "-",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Proprietary internal indicator used during transaction processing to indicate that internal reader processes have indicated that the transaction should be online requested.",
   "comment":	"This indicator is a transient value, initialized to a value of 0 at the beginning of the transaction.1 = Online required by reader",

   },{ "tag" :		"N/A",
   "name" :		"Online Transaction Context",
   "kernel" :	"JCB",
   "source":	 "Format:	 -",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"A set of persistent data elements representing the context of an ongoing online transaction. The Online Transaction Context is saved by the Kernel before returning the Online Request outcome, and is restored if Kernel is restarted for an Issuer Update.",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Personal Identification Number (PIN) Pad Secret Key",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	 "-",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Secret key of a symmetric algorithm used by the PIN pad to encipher the PIN and by the card reader to decipher the PIN if the PIN pad and card reader are not integrated",

   },{ "tag" :		"N/A",
   "name" :		"Point of Service Data Code",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"an",
   "template":	"N/A",
   "length":	"12 [B]",
   "description":	"A series of codes that identify the terminal capability, security data, and specific conditions present at the time a transaction took place at the point of service.",

   },{ "tag" :		"N/A",
   "name" :		"Proprietary Authentication Data",
   "kernel" :	"Generic",
   "source":	"Issuer",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Contains issuer data for transmission to the card in the Issuer Authentication Data of an online transaction.",

   },{ "tag" :		"N/A",
   "name" :		"Reader Contactless Floor Limit",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the contactless floor limit of the reader for a specific AID. If the transaction amount is greater than the Reader Contactless Floor Limit, then the reader requires online processing for the transaction.",

   },{ "tag" :		"N/A",
   "name" :		"Reader Contactless Floor Limit",
   "kernel" :	"AMEX",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the contactless floor limit.",

   },{ "tag" :		"N/A",
   "name" :		"Reader Contactless Transaction Limit",
   "kernel" :	"MasterCard",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the transaction amount above which the transaction is not allowed. This data object is instantiated with Reader Contactless Transaction Limit (On-device CVM) if on device cardholder verification is supported by the Card and with Reader Contactless Transaction Limit (No On-device CVM) otherwise.",

   },{ "tag" :		"N/A",
   "name" :		"Reader Contactless Transaction Limit",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the contactless transaction limit of the reader for a specific AID. If the transaction amount is greater than or equal to the Reader Contactless Transaction Limit, then a contactless transaction is not permitted. Switching the transaction over to another interface is permitted.",

   },{ "tag" :		"N/A",
   "name" :		"Reader Contactless Transaction Limit",
   "kernel" :	"AMEX",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the limit for which contactless transactions can be conducted.",

   },{ "tag" :		"N/A",
   "name" :		"Reader CVM Required Limit",
   "kernel" :	"VISA",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Indicates the CVM limit of the reader for a specific AID. If the transaction amount is greater than or equal to the Reader CVM Required Limit, then the reader requires a CVM for the transaction.",

   },{ "tag" :		"N/A",
   "name" :		"Reader CVM Required Limit",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Indicates the limit for which CVM is required.",

   },{ "tag" :		"N/A",
   "name" :		"Recovering from Torn EMV Transaction Flag",
   "kernel" :	"JCB",
   "source":	 "Format:	 -",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Internal Kernel variable (Boolean) set to TRUE when the Kernel attempts to recover from a torn transaction (EMV Mode only).",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Recovery Context",
   "kernel" :	"JCB",
   "source":	 "Format:	 -",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"A set of persistent Kernel 5 parameters involved in the management of torn EMV transactions. It consists of:  1. Recovering from Torn EMV Transaction Flag 2.Torn Track 2 Data  3. Torn CDA Hash Data Buffer",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Removal Timeout",
   "kernel" :	"JCB",
   "source":	 "Format:	n 4",
   "template":	"N/A",
   "length":	"2 [B]",
   "description":	"Present if the Combination supports Issuer Update as Acquirer Option (EMV Mode only). In case of Online Request with Present and Hold outcome, this parameter corresponds to the time after which cardholder is asked to remove the card. Value is given in units of 100ms.",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Removal Timeout",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"Implementation Specific",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Indicates whether a timeout function should be started with the time specified.",

   },{ "tag" :		"N/A",
   "name" :		"Static Data To Be Authenticated",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Buffer used to concatenate records that are involved in offline data authentication.",

   },{ "tag" :		"N/A",
   "name" :		"Status Check Support",
   "kernel" :	"AMEX",
   "source":	 "Format:	Implementation Specific",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"This flag indicates whether the reader is able to use a single unit of currency check to determine whether the card is genuine and active.",

   },{ "tag" :		"N/A",
   "name" :		"Tags To Read Yet",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List of tags that contains the accumulated Terminal data reading requests received in Tags To Read. Requested data objects that are sent to the Terminal are spooled from this buffer. Tags To Read Yet is initiated when the Kernel is started with Tags To Read if present in the ACT signal. This list can be augmented with Terminal requested data items provided during Kernel processing in DET signals. The Kernel sends the requested data objects to the Terminal with the DEK signal in Data To Send.",

   },{ "tag" :		"N/A",
   "name" :		"Tags To Write Yet After Gen AC",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List of data objects that contains the accumulated Terminal data writing requests received in Tags To Write After Gen AC.",

   },{ "tag" :		"N/A",
   "name" :		"Tags To Write Yet Before Gen AC",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"List of data objects that contains the accumulated Terminal data writing requests received in Tags To Write Before Gen AC.",

   },{ "tag" :		"N/A",
   "name" :		"Target Percentage to be Used for Random Selection",
   "kernel" :	"JCB",
   "source":	 "Format:	n 2",
   "template":	"N/A",
   "length":	"1 [B]",
   "description":	"Value used in terminal risk management for random transaction selection. Present if the Combination supports Random Transaction Selection (EMV Mode only).",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Terminal Action Code - Default",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary 40",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Specifies the acquirer's conditions that cause a transaction to be rejected if it might have been approved online, but the terminal is unable to process the transaction online",

   },{ "tag" :		"N/A",
   "name" :		"Terminal Action Code - Default",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Used in Kernel 5 Terminal Action Analysis (EMV Mode only).",
   "comment":	"O",

   },{ "tag" :		"N/A",
   "name" :		"Terminal Action Code - Denial",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary 40",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Specifies the acquirer's conditions that cause the denial of a transaction without attempt to go online",

   },{ "tag" :		"N/A",
   "name" :		"Terminal Action Code - Denial",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Used in Kernel 5 Terminal Action Analysis",
   "comment":	"O",

   },{ "tag" :		"N/A",
   "name" :		"Terminal Action Code - Online",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	"binary 40",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Specifies the acquirer's conditions that cause a transaction to be transmitted online",

   },{ "tag" :		"N/A",
   "name" :		"Terminal Action Code - Online",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"5 [B]",
   "description":	"Used in Kernel 5 Terminal Action Analysis (EMV Mode only).",
   "comment":	"O",

   },{ "tag" :		"N/A",
   "name" :		"Terminal Exception File",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	 "-",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"A file of account numbers to be used by the terminal, for which it has been predetermined that there shall be an authorisation decision of denial.",

   },{ "tag" :		"N/A",
   "name" :		"Terminal Interchange Profile (static)",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"3 [B]",
   "description":	"Defines the Cardholder Verification Methods and other reader capabilities (online capability, contact EMV capability) for the Combination.",
   "comment":	"M",

   },{ "tag" :		"N/A",
   "name" :		"Threshold Value for Biased Random Selection",
   "kernel" :	"JCB",
   "source":	 "Format:	n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Value used in terminal risk management for random transaction selection. Present if the Combination supports Random Transaction Selection (EMV Mode only)",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Torn CDA Hash Data Buffer",
   "kernel" :	"JCB",
   "source":	 "Format:	 -",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"A copy of the PDOL related data and CDOL1 related data sent to the card during a torn transaction in EMV Mode. This copy is used to verify the CDA signature during the subsequent transaction recovery process.",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Torn Entry",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Data object that is used to refer to a record in the Torn Transaction Log. This may be the record number, but the actual implementation is proprietary.",

   },{ "tag" :		"N/A",
   "name" :		"Torn Temp Record",
   "kernel" :	"MasterCard",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Holds a copy of a record from the Torn Transaction Log.",

   },{ "tag" :		"N/A",
   "name" :		"Torn Track 2 Data",
   "kernel" :	"JCB",
   "source":	 "Format:	binary",
   "template":	"N/A",
   "length":	"19 [B]",
   "description":	"A copy of the card Track 2 Equivalent Data, kept by the Kernel after a torn transaction in EMV Mode to ensure that the card presented for recovery is the same as for the torn transaction.",
   "comment":	"C",

   },{ "tag" :		"N/A",
   "name" :		"Transaction Amount",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"n 12",
   "template":	"N/A",
   "length":	"6 [B]",
   "description":	"Clearing amount of the transaction, including tips and other adjustments",
   "Example":	"000000001000",

   },{ "tag" :		"N/A",
   "name" :		"Transaction Mode",
   "kernel" :	"JCB",
   "source":	 "Format:	 -",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"An internal Kernel indicator storing the transaction mode selected for conducting the transaction. It admits the following values: Undefined Mode, EMV Mode, Magstripe  Mode, Legacy Mode",
   "comment":	"M"

   },{ "tag" :		"N/A",
   "name" :		"Transaction Reference Currency Conversion",
   "kernel" :	"Generic",
   "source":	"Terminal",
   "format":	"n 8",
   "template":	"N/A",
   "length":	"4 [B]",
   "description":	"Transaction Reference Currency Conversion",

   },{ "tag" :		"N/A",
   "name" :		"Unpredictable Number Range",
   "kernel" :	"AMEX",
   "source":	"Terminal",
   "format":	 "-",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"Specifies the range in which the unpredictable number must be generated in for contactless mag-stripe mode.",
   "comment":	"The default minimum range is 0 to 60. Note that the number range is inclusive, so a range of 0 to 60 should be capable of generating 61 integer numbers in the range 0 to 60.",

   },{ "tag" :		"N/A",
   "name" :		"Zero Amount Allowed",
   "kernel" :	"AMEX",
   "source":	 "Format:	Implementation Specific",
   "template":	"N/A",
   "length":	"Variable",
   "description":	"This flag indicates whether a transaction with a zero amount is permitted.",
   "comment":	"The default minimum range is 0 to 60. Note that the number range is inclusive, so a range of 0 to 60 should be capable of generating 61 integer numbers in the range 0 to 60."
   }
   ,
   {
     "tag": "E1",
     "name": "Services Data Template",
     "kernel":"kernel_20",
     "source": "",
     "format": "",
     "template": "",
     "length": "variable", "description": "Equivalent of EMVCo EMV Tag 5A – used in perso."
   }
   ,
   {
     "tag": "DF77",
     "name": "Payment Token",
     "kernel":"kernel_20",
     "source": "",
     "format": "",
     "template": "",
     "length": "variable",
     "description": "Equivalent of EMVCo EMV Tag 5A – used in perso."
   }
   ,
   {
     "tag": "DF11",
     "name": "Token Assurance Level", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": "Not currently in use"}
   ,{
     "tag": "DF15",
     "name": "Token Requestor ID", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF19",
     "name": "Funding PAN", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF12",
     "name": "PAN Product ID", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "5F24",
     "name": "Token Expiry Date", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": "5F24 is an EMVCo EMV Tag - used in perso. When mapped to 006 the ‘DD’ is dropped from 5F24, when mapping from 006 the last day of the specified month (MM) is to be appended."}
   ,{
     "tag": "DF14",
     "name": "Token Request Indicator", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "5F34",
     "name": "Token Card Sequence Number", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF13",
     "name": "Token Assurance Data", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF63",
     "name": "Action Code", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF20",
     "name": "Funding PAN Expiration Date ", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF65",
     "name": "Card Score", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF68",
     "name": "Card Score Reasons", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF64",
     "name": "Customisation Asset Identifiers", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF71",
     "name": "Device Identifier", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF66",
     "name": "Device Information", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF7F",
     "name": "Device Name", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF7A",
     "name": "Device Score", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "9F70",
     "name": "Form Factor Identifier", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF70",
     "name": "Funding PAN Source", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "5F2D", "name": "Language Preference", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF7B", "name": "Mapping Identifier", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF72", "name": "Response Life", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF7C", "name": "Server Identifier	Currently not required for eftpos", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF73", "name": "Service Request Identifier", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF74", "name": "Specification Version", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF75", "name": "Status Code", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF69", "name": "T&C Acceptance Date", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF7D", "name": "User Account Score", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF78", "name": "TSP Validation result", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF79", "name": "User Validation Code", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF7E", "name": "User Validation Method", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF60", "name": "T&C (Accepted) ID", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF61", "name": "Cardholder Address", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "5F20", "name": "Cardholder Name	EMVCo EMV Tag - used in perso", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF27", "name": "Locale", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF28", "name": "latitude", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF29", "name": "longitude", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF2A", "name": "Ip Address", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF2B", "name": "Phone Number (Device Number)", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF2C", "name": "Device Brand", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF2D", "name": "Manufacturer", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF2E", "name": "Model", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF2F", "name": "Operating Network", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF30", "name": "Network Type", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF31", "name": "IMEI/MEID (Last 2 characters)", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF32", "name": "Serial Number (Last 2 characters)", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF33", "name": "OS Version", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF34", "name": "Device Time Zone", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF35", "name": "Time Zone Manager", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF36", "name": "Android ID (Last 2 characters)", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF37", "name": "Wallet ID", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF38", "name": "Client Type", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF39", "name": "Newly added Card", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF3A", "name": "Card On File Tenure (Weeks)", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF3B", "name": "Wallet Account Tenure (Weeks	", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF3C", "name": "Gaia Account Tenure (Weeks)", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF3D", "name": "Wallet Name mismatches Cardholder Name", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF3E", "name": "Tokens On Device", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF3F", "name": "Country Of Device", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF40", "name": "Masked Email", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF41", "name": "Hashed email", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,{
     "tag": "DF42", "name": "Recommendation Algorithm Version", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""}
   ,
   {
     "tag": "E3", "name": "Personalization Data Template", "kernel":"kernel_20", "source": "", "format": "", "template": "", "length": "variable", "description": ""
   }
    ,
    {
        "tag" : "DF63",
        "name": "Action Code",
        "kernel" : "kernel_21",
        "source": "",
        "format": "",
        "template": "",
        "length": "",
        "description": ""
    }
	,
	{
	    "tag" : "5A",
	      "name": "Primary Account Number",
	      "kernel" : "kernel_21",
	      "source": "",
	      "format": "",
	      "template": "",
	      "length": "", "description": ""}
	,
	{
	    "tag" : "DF65",
	    "name": "Card Score", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF68",
	    "name": "Card Score Reasons", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF61",
	    "name": "Cardholder Address", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "5F20",
	    "name": "Cardholder Name", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "5F24",
	    "name": "Application Expiration Date", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "5F2D",
	    "name": "Language Preference", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF64",
	    "name": "Customization Asset Identifiers List", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF71",
	    "name": "Device Identifier", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF66",
	    "name": "Device Information", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF7F",
	    "name": "Device Name", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF7A",
	    "name": "Device Score", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF67",
	    "name": "Email", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF69",
	    "name": "Terms and Conditions Acceptance Date", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "9F52",
	    "name": "Merchant Type Indicator Limit 1", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "9F54",
	    "name": "Merchant Type Indicator Limit 2", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "9F55",
	    "name": "Merchant Type Indicator Limit 3", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "9F56",
	    "name": "Merchant Type Indicator Limit 4", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "9F57",
	    "name": "Merchant Type Indicator Limit 5", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "9F70",
	    "name": "Form Factor Indicator", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF70",
	    "name": "Funding PAN Source", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF50",
	    "name": "Issuer Proprietary Message", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "5F2D",
	    "name": "Language Preference", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF7B",
	    "name": "Mapping Identifier", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF72",
	    "name": "Response Life", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF7C",
	    "name": "Server Identifier", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF73",
	    "name": "Service Request Identifier", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "E1",
	      "name": "Services Data Template", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF74",
	    "name": "Specification Version", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF75",
	    "name": "Status Code", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF76",
	    "name": "Telephone Number", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF77",
	    "name": "Tokenized Primary Account Number (T-PAN)", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF78",
	    "name": "TSP Validation Results", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF7D",
	    "name": "User Account Score", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF79",
	    "name": "User Validation Code", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "DF7E",
	    "name": "User Validation Method", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "E2",
	      "name": "User Validation Methods List", "kernel":"kernel_21", "source": "", "format": "", "template": "", "length": "", "description": ""}
	,
	{
	    "tag" : "E3",
	    "name": "Personalization Data Template",
	    "kernel":"kernel_21",
	    "source": "",
	    "format": "",
	    "template": "",
	    "length": "",
	    "description": ""
	 }


]

module.exports = tags;
